<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       http://theme-kiwi.com
 * @since      1.0.0
 *
 * @package    Marketplace_Edd_Vcaddons
 * @subpackage Marketplace_Edd_Vcaddons/admin/partials
 */
 
  if ( class_exists( 'Easy_Digital_Downloads' ) ) {
	$plugin_status_edd = esc_html__( 'installed', 'kiwi' );
	$plugin_status_edd_class = ' installed';
 } else {
	$plugin_status_edd = esc_html__( 'not installed', 'kiwi' );
	$plugin_status_edd_class = ' not-installed';
 }
 
 if ( class_exists( 'Vc_Manager' ) ) {
	$plugin_status_wpbakery = esc_html__( 'installed', 'kiwi' );
	$plugin_status_wpbakery_class = ' installed';
 } else {
	$plugin_status_wpbakery = esc_html__( 'not installed', 'kiwi' );
	$plugin_status_wpbakery_class = ' not-installed';
 } 
 
?>

<!-- This file should primarily consist of HTML with a little bit of PHP. -->

<div class="kiwi-introduction">

	<h2><?php esc_html_e( 'Marketplace :: EDD VC Addons', 'kiwi' ); ?></h2>	
	<h3><?php echo wp_kses( 'Thank you for purchasing our exclusive <b>Easy Digital Downloads for Visual Composer</b> WP Plugin on <a href="http://codecanyon.net/item/easy-digital-downloads-for-visual-composer/14408827?ref=kiarashi" target="_blank">Envato</a>.', wp_kses_allowed_html( 'post' ) ); ?></h3>
	
	<br /><br />
	<?php echo wp_kses('For optimal use, the following two other plugins needs to be installed and activated <strong>first</strong> before you can use our plugin.', wp_kses_allowed_html( 'post' ) ); ?>
	<br /><br />
	
	<ul>	
		<li>
			<img src="<?php echo esc_url( plugins_url() ); ?>/marketplace-edd-vcaddons/images/img-intro-edd.png">
			<div class="status<?php echo esc_html( $plugin_status_edd_class ); ?>"><?php echo esc_html( $plugin_status_edd ); ?></div>
		</li>		
		<li>
			<img src="<?php echo esc_url( plugins_url() ); ?>/marketplace-edd-vcaddons/images/img-intro-vc.png">
			<div class="status<?php echo esc_html( $plugin_status_wpbakery_class ); ?>"><?php echo esc_html( $plugin_status_wpbakery); ?></div>
		</li>	
	</ul>
	
	<div class="clear"></div>
	
	<br /><br />
	<h2>How to use</h2>	
	<?php echo wp_kses( 'For more information on how to use these VC addons, we recommend to read our <b>documenation</b>, which is included inside the download package.', wp_kses_allowed_html( 'post' ) ); ?>
	<br /><br />
	
</div>