<?php

/**
 * Define the internationalization functionality
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @link       http://theme-kiwi.com
 * @since      1.0.0
 *
 * @package    Marketplace_Edd_Vcaddons
 * @subpackage Marketplace_Edd_Vcaddons/includes
 */

/**
 * Define the internationalization functionality.
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @since      1.0.0
 * @package    Marketplace_Edd_Vcaddons
 * @subpackage Marketplace_Edd_Vcaddons/includes
 * @author     Kiarashi <no@spam.com>
 */
class Marketplace_Edd_Vcaddons_i18n {


	/**
	 * Load the plugin text domain for translation.
	 *
	 * @since    1.0.0
	 */
	public function load_plugin_textdomain() {

		load_plugin_textdomain(
			'marketplace-edd-vcaddons',
			false,
			dirname( dirname( plugin_basename( __FILE__ ) ) ) . '/languages/'
		);

	}



}
