<?php 

/*===============================================================
	Marketplace :: Video :: Audio :: Featured Image
===============================================================*/ 
if ( ! function_exists( 'mp_audio_video_featured_vc' ) ) :
function mp_audio_video_featured_vc($mp_content) {
	
	$output = '';

	if (class_exists( 'EDD_Front_End_Submissions' ) ){ 	
		
		$fes_featured_video = get_post_meta( get_the_ID(), 'upload_featured_video', true );
		$fes_featured_audio = get_post_meta( get_the_ID(), 'upload_featured_audio', true );
				
		$count_tracks = count( $fes_featured_audio );
		$count_videos = count( $fes_featured_video );
		
		$url_video = '';
		$url_audio = '';
		
		$mp_featured_value = get_post_meta( get_the_ID(), 'mp_featured_item', true);
		
		if (is_array($fes_featured_audio)) {
			foreach($fes_featured_video as $key=>$val){	
			
				if ( $count_videos > 1 && is_singular( 'download' ) ) {
					$url_video_playlist   = implode(',', $fes_featured_video);						
				} else {
					$url_video = wp_get_attachment_url( $val );
				}
		
			}	
		}
		
		
		if (is_array($fes_featured_audio)) {	
			foreach($fes_featured_audio as $key=>$val){	
			
				if ( $count_tracks > 1 && is_singular( 'download' ) ) {
					$url_audio_playlist   = implode(',', $fes_featured_audio);						
				} else {
					$url_audio = wp_get_attachment_url( $val );	
				}
				
			}
		}
		
				if ( ! empty( $fes_featured_video ) && empty( $fes_featured_audio ) ) {
					
					$uniqid = uniqid('kiwi-video-');
					
					if ( has_post_thumbnail() ) {	
						$video_preview = wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'full' );
					} else {
						$video_preview = '';
					}
					
					$attr = array(
						'src'      => strip_tags($url_video),
						'loop'     => '',
						'autoplay' => '',
						'preload'  => 'none',
						'poster' => $video_preview[0],
					);	
			
					if ( $mp_featured_value && $mp_featured_value == 'Yes' ) {	
						$output .= '<div class="featured-item-ribbon video"><span></span></div>';				
					}
					
					/*  */ 
					if ( $count_videos > 1 && is_singular( 'download' ) ) {
						$output .= do_shortcode('[playlist type="video" ids="'.$url_video_playlist.'"]');
					} else {
						$output .= '<div class="video-container '.$uniqid.'" itemprop="video">' . wp_video_shortcode( $attr ) . ' </div>';
					}
					
				} elseif ( empty( $fes_featured_video ) && !empty( $fes_featured_audio ) ) {
					
					if ( has_post_thumbnail() ) { 
					
						if ( $mp_featured_value && $mp_featured_value == 'Yes' ) {	
							$output .= '<div class="featured-item-ribbon video"><span></span></div>';				
						}
						
						$output .= get_the_post_thumbnail( get_the_ID(), 'full' ) ;	
					}	
					
					$attr = array(
						'src'      => strip_tags($url_audio),
						'loop'     => 'true',
						'autoplay' => '',
						'preload'  => 'none',
					);
					
					
					/*  */ 
					if ( $count_tracks > 1 && is_singular( 'download' ) ) {
						$output .= do_shortcode('[playlist ids="'.$url_audio_playlist.'"]');
					} else {
						$output .= '<div class="audio-player" itemprop="audio">' . wp_audio_shortcode( $attr ) . ' </div>';
					}
					
					
				} else {
					if ( has_post_thumbnail() ) { 
					
					
						if ( $mp_featured_value && $mp_featured_value == 'Yes' ) {	
							$output .= '<div class="featured-item-ribbon video"><span></span></div>';				
						}
						$output .= get_the_post_thumbnail( get_the_ID(), 'full' ); 
					}
				}

	} else {		
		if ( has_post_thumbnail() ) {

				if ( $mp_featured_value && $mp_featured_value == 'Yes' ) {	
					$output .= '<div class="featured-item-ribbon video"><span></span></div>';				
				}		
			$output .= get_the_post_thumbnail( get_the_ID(), 'full' );
			
		}
	}	
	
	return $output;
	
}

add_filter('mp_vc_widget_block_featured_image', 'mp_audio_video_featured_vc');
endif;


/*===============================================================
	Marketplace :: Audio only
===============================================================*/ 
if ( ! function_exists( 'mp_audio_featured_vc' ) ) :
function mp_audio_featured_vc($mp_content_audio) {
	
		global $kiwi_theme_option;
		
		$output = '';

	if (class_exists( 'EDD_Front_End_Submissions' ) ){ 	
		
		$fes_featured_audio = get_post_meta( get_the_ID(), 'upload_featured_audio', true );
		
		if (is_array($fes_featured_audio)) {	
			foreach($fes_featured_audio as $key=>$val){						
				$url_audio = wp_get_attachment_url( $val );
			}
		}
		
		if ( !empty( $fes_featured_audio ) ) {
			
			if ( has_post_thumbnail() ) { 
				$output .= get_the_post_thumbnail ('full', array( 'class' => 'small-responsive audio-featured' ) );	
			}
			
			$attr = array(
				'src'      => strip_tags($url_audio),
				'loop'     => 'true',
				'autoplay' => '',
				//'preload'  => 'auto',
			);					
			
			$output .= '<div class="audio-player" itemprop="audio">' . wp_audio_shortcode( $attr ) . ' </div>';
		} 
	} 	
	
	return $output;
	
}

add_filter('mp_vc_widget_audio_only', 'mp_audio_featured_vc');
endif;



/*===============================================================
	Marketplace :: Tooltip hover effect
===============================================================*/
if ( ! function_exists( 'mp_tooltip_effect' ) ) :



/** Retrieves a price from from low to high of a variable priced download **/
function edd_price_range_tooltip( $download_id = 0 ) {
	$low   = edd_get_lowest_price_option( $download_id );
	$high  = edd_get_highest_price_option( $download_id );
	$range = edd_currency_filter( edd_format_amount( $low ) );
	$range .= "&nbsp;&ndash;&nbsp;";
	$range .= edd_currency_filter( edd_format_amount( $high ) );

	return apply_filters( 'edd_price_range_tooltip', $range, $download_id, $low, $high );
}

/** Displays a formatted price for a download **/
function edd_price_tooltip( $download_id = 0, $echo = true, $price_id = false ) {

	if( empty( $download_id ) ) {
		$download_id = get_the_ID();
	}

	if ( edd_has_variable_prices( $download_id ) ) {

		$prices = edd_get_variable_prices( $download_id );

		if ( false !== $price_id && isset( $prices[$price_id] ) ) {
			$price = (float) $prices[$price_id]['amount'];
		} else {
			$price = edd_get_lowest_price_option( $download_id );
		}

		$price = edd_sanitize_amount( $price );

	} else {

		$price = edd_get_download_price( $download_id );

	}

	$price           = apply_filters( 'edd_download_price', edd_sanitize_amount( $price ), $download_id, $price_id );
	$formatted_price = $price;
	$formatted_price = apply_filters( 'edd_download_price_after_html', $formatted_price, $download_id, $price, $price_id );

	return $formatted_price;
	
}
add_filter( 'edd_download_price', 'edd_format_amount', 10 );
add_filter( 'edd_download_price', 'edd_currency_filter', 20 ); 



function mp_tooltip_effect() {
	
	global $kiwi_theme_option, $post;
	
		$output = '';
	
			if ( is_plugin_active( 'edd-coming-soon/edd-coming-soon.php' ) ) {				
				$cs_active = edd_coming_soon_is_active( get_the_ID() );					
			}
	
			$name 			= get_the_author_meta('display_name', $post->post_author);
			$text 			= esc_html__( 'by ', 'kiwi' );			
			$edd_catlist 	= get_the_term_list( get_the_ID(), 'download_category', '', ', ', '' );
			
		$thumb_id = get_post_thumbnail_id();
		$thumb_url_array = wp_get_attachment_image_src($thumb_id, 'tooltip-featured-image', true);
			$thumb_url = $thumb_url_array[0];
			$thumb_url_width = $thumb_url_array[1];
			$thumb_url_height = $thumb_url_array[2];
		
		$tooltip_title = get_the_title();
		
		$price = get_post_meta( get_the_ID(), 'edd_price', true );
		
		if ( is_plugin_active( 'edd-coming-soon/edd-coming-soon.php' ) && $cs_active || $price == 0 ) {
			$extra_div = " coming-soon";
		} else {
			$extra_div = "";
		}	
	
	
			$output .= "<img src='{$thumb_url}' width='{$thumb_url_width}px' height='{$thumb_url_height}px'>";
			
		$output .= "<div class='div-tooltip-flex'>";
		$output .= "<div class='column-first truncate'>";
		
			$output .= "<h3>{$tooltip_title}</h3>";
			$output .= "<div class='tooltip-author'>{$text}{$name}</div>";
			
		$output .= "</div>";	
		
	$output .= "<div class='column-second{$extra_div} align-left'>";
		
	if ( is_plugin_active( 'edd-coming-soon/edd-coming-soon.php' ) && $cs_active ) {			
			
			$custom_text = get_post_meta( get_the_ID(), 'edd_coming_soon_text', true );
			$custom_text = !empty ( $custom_text ) ? $custom_text : apply_filters( 'edd_cs_coming_soon_text', esc_html__( 'Coming Soon', 'edd-coming-soon' ) );
				
			$price = "<span class='cs-active'>{$custom_text}</span>";
				
		
		} else {
				
			remove_filter( 'edd_coming_soon_display_text', 'edd_coming_soon_get_custom_status_text', 30, 2 );
			
			
			
			if ( $price == 0 && $kiwi_theme_option['marketplace-free-enable'] == '1' && !edd_has_variable_prices( get_the_ID() ) ) {
				$price_custom = $kiwi_theme_option['marketplace-free-customtext'];
					$price = "<span class='price free'>{$price_custom}</span>";
			} elseif ( edd_has_variable_prices( get_the_ID() ) ) {
					$price = edd_price_range_tooltip( get_the_ID() );
			} else {
					$price = edd_price_tooltip( get_the_ID(), false );
			}
			
	}	
		
		$output .= "<span class='item-price'>{$price}</span>";
		$output .= "</div>";	
		$output .= "<div class='clear'></div>";
		
		return $output;	
		
}
endif;





?>