<?php

// don't load directly
if (!defined('ABSPATH')) die('-1');


class VCExtendAddonClassPostmp {
    function __construct() {
        // We safely integrate with VC with this hook
        add_action( 'init', array( $this, 'integrateWithVC' ) );
 
        // Use this when creating a shortcode addon
        add_shortcode( 'eddpostmp', array( $this, 'renderMyeddpostmp' ) );

        // Register CSS and JS
        add_action( 'wp_enqueue_scripts', array( $this, 'loadCssAndJs' ) );
    }
 
    public function integrateWithVC() {
        // Check if Visual Composer is installed
        if ( ! defined( 'WPB_VC_VERSION' ) ) {
            // Display notice that Visual Compser is required
            add_action('admin_notices', array( $this, 'showVcVersionNotice' ));
            return;
        }
 
        /*
        Add your Visual Composer logic here.
        Lets call vc_map function to "register" our custom shortcode within Visual Composer interface.

        More info: http://kb.wpbakery.com/index.php?title=Vc_map
        */
		
$categories_array = array( esc_html__('All Categories', 'kiwi' ) => '' );
$category_list = get_terms( 'download_category', array( 'hide_empty' => false ) );

	if ( is_array( $category_list ) && ! empty( $category_list ) ) {
		foreach ( $category_list as $category_details ) {	
			$begin = __(' (ID: ', 'kiwi');
			$end = __(')', 'kiwi');
			$categories_array[ $category_details->name . $begin. $category_details->term_id . $end ] = $category_details->term_id;	
		}
	} 
        vc_map( array(
            "name" => esc_html__("Marketplace :: Item Widget", 'kiwi'),
            "description" => esc_html__("Display of items.", 'kiwi'),
            "base" => "eddpostmp",
            "class" => "",
            "controls" => "full",		
            "icon" => "icon-kiwi-post",
			"category" => esc_html__('Theme :: Kiwi', 'kiwi'),
            'admin_enqueue_css' => array(plugins_url('css/kiwi-vc-addon.css', __FILE__)),
			"params" => array(
    
	array(
		'type' => 'textfield',
		'heading' => esc_html__('Heading text', 'kiwi' ),
		'param_name' => 'heading_text',
		'value' => '', 
		//'param_holder_class' => 'vc_not-for-custom',
		'description' => esc_html__('Add title (e.g., Latest Additions)', 'kiwi' ),
		
	),
	array(
		'type' => 'textfield',
		'heading' => esc_html__('Total items', 'kiwi' ),
		'param_name' => 'total_items',
		'value' => '', // default value
		//'param_holder_class' => 'vc_not-for-custom',
		'description' => esc_html__('Set max limit for items in block.', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-4 vc_column',
	),
	
	array(
		'type' => 'textfield',
		'heading' => esc_html__('Size of the thumbnails', 'kiwi' ),
		'param_name' => 'thumbnail_size',
		'value' => '', // default value
		//'param_holder_class' => 'vc_not-for-custom',
		'description' => esc_html__('Set thumbnail width (e.g., 80). Numeric only.', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-4 vc_column',
	),
	
	array(
		'type' => 'textfield',
		'heading' => esc_html__('Size of the thumbnails', 'kiwi' ),
		'param_name' => 'thumbnail_size_height',
		'value' => '', // default value
		//'param_holder_class' => 'vc_not-for-custom',
		'description' => esc_html__('Set thumbnail height (e.g., 80). Numeric only.', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-4 vc_column',
	),
	
	
	array(
			'type' => 'dropdown',
			'heading' => esc_html__('Select Category', 'kiwi' ),
			'param_name' => 'mp_category',
			'value' => $categories_array,			
			'description' => ' ',
			'edit_field_class' => 'vc_col-sm-6 vc_column',
	), 
	
	
	array(        
			'type' => 'dropdown',        
			'heading' => esc_html__('Layout style', 'kiwi' ),        
			'param_name' => 'mp_layout_style',  
			'value' => array(
						esc_html__( 'Select', 'kiwi' ) => '',
						esc_html__( 'Style One', 'kiwi' ) => ' layout_style_one',
						esc_html__( 'Style Two', 'kiwi' ) => ' layout_style_two',
						esc_html__( 'Style Three', 'kiwi' ) => ' layout_style_three' 
						),
			'description' => ' ',
			'edit_field_class' => 'vc_col-sm-6 vc_column',	
		),		
	
	
	array(
		'type' => 'checkbox',
		'heading' => esc_html__('Add read more link?', 'kiwi' ),
		'param_name' => 'readmore_link',
		'value' => array( esc_html__('Yes', 'kiwi' ) => 'yes' ),
		//'description' => esc_html__('Append filter to grid.', 'kiwi' ),
	),
	
	
	array(
		'type' => 'textfield',
		'heading' => esc_html__('Read more text link', 'kiwi' ),
		'param_name' => 'readmore_text',
		'value' => '', // default value
		'param_holder_class' => 'vc_not-for-custom',
		'description' => esc_html__('(e.g., View more items in this category).', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-6 vc_column',
	),
	
	
	
	array(
		'type' => 'vc_link',
		'heading' => esc_html__('Add url here', 'kiwi' ),
		'param_name' => 'mp_url_more',
		'value' => '',
		//'description' => esc_html__('Append filter to grid.', 'kiwi' ),
	),
	
	array(
		'type' => 'checkbox',
		'heading' => esc_html__('Truncate item title?', 'kiwi' ),
		'param_name' => 'truncate_title',
		'description' => esc_html__(' ', 'kiwi' ),
		'value' => array( esc_html__('Yes, please.', 'kiwi' ) => 'yes' ),
		'group' => 'Design Settings',
		//'edit_field_class' => 'vc_col-sm-12 vc_column-with-padding',
		//'dependency' => Array( 'element' => 'mp_grid_design_layout', 'value' => Array('gridstyle-one','gridstyle-two','gridstyle-three') ),		
		),
	
	array(
			'type' => 'dropdown',
			'heading' => esc_html__('Length', 'kiwi' ),
			'param_name' => 'grid_truncate_lenght',
			'value'       => array(
				esc_html__( 'Select', 'kiwi' ) => '',
				esc_html__( '1 line', 'kiwi' ) => 'one-line',
				esc_html__( '2 lines', 'kiwi' ) => 'two-lines',
				esc_html__( '3 lines', 'kiwi' ) => 'three-lines',
				esc_html__( '4 lines', 'kiwi' ) => 'four-lines',				
				),			
			'description' => '<br />',	
			//'edit_field_class' => 'vc_col-sm-6 vc_column',
			'group' => esc_html__('Design Settings', 'kiwi' ),	
			'dependency' => Array( 'element' => 'truncate_title', 'value' => Array('yes') ),				
	),
	
		  
	// Data settings
	array(
		'type' => 'dropdown',
		'heading' => esc_html__('Order by', 'kiwi' ),
		'param_name' => 'mp_orderby',
		'value' => array(
			esc_html__( 'Date', 'kiwi' ) => 'date',
			esc_html__( 'Order by post ID', 'kiwi' ) => 'ID',
			esc_html__( 'Author', 'kiwi' ) => 'author',
			esc_html__( 'Title', 'kiwi' ) => 'title',
			esc_html__( 'Last modified date', 'kiwi' ) => 'modified',
		//	esc_html__( 'Post/page parent ID', 'kiwi' ) => 'parent',
			esc_html__( 'Number of comments', 'kiwi' ) => 'comment_count',
		//	esc_html__( 'Menu order/Page Order', 'kiwi' ) => 'menu_order',
			esc_html__( 'Meta value', 'kiwi' ) => 'meta_value',
			esc_html__( 'Meta value number', 'kiwi' ) => 'meta_value_num',
		//  esc_html__('Matches same order you passed in via the 'include' parameter.', 'kiwi') => 'post__in'
			esc_html__( 'Random order', 'kiwi' ) => 'rand',
		),
		'description' => esc_html__('Select order type.<br />If "Meta value" or "Meta value Number" is chosen then meta key is required.', 'kiwi' ),
		'group' => esc_html__('Data Settings', 'kiwi' ),
		
	),
	array(
		'type' => 'dropdown',
		'heading' => esc_html__('Sorting', 'kiwi' ),
		'param_name' => 'mp_sorting',
		'group' => esc_html__('Data Settings', 'kiwi' ),
		'value' => array(
			esc_html__( 'Descending', 'kiwi' ) => 'DESC',
			esc_html__( 'Ascending', 'kiwi' ) => 'ASC',
		),
		'description' => esc_html__('Select sorting order.', 'kiwi' ),
				
	),
	 array(
		'type' => 'textfield',
		'heading' => esc_html__('Meta key', 'kiwi' ),
		'param_name' => 'mp_metakey',
		'description' => esc_html__('Input meta key for grid ordering. (e.g., <b>_edd_download_sales</b> for most sales)', 'kiwi' ),
		'group' => esc_html__('Data Settings', 'kiwi' ),
		'value' => '',
	), 
	
	array(
		'type' => 'textfield',
		'heading' => esc_html__('Meta query value', 'kiwi' ),
		'param_name' => 'meta_query_value',
		'description' => esc_html__('Extra filter for meta_key.', 'kiwi' ),
		'group' => esc_html__('Data Settings', 'kiwi' ),
		'value' => '',		
		'edit_field_class' => 'vc_col-sm-6 vc_column',
	),
	
	array(
		'type' => 'dropdown',
		'heading' => esc_html__('Compare', 'kiwi' ),
		'param_name' => 'mp_comparison',
		'group' => esc_html__('Data Settings', 'kiwi' ),
		'value' => array(
			esc_html__( 'Equal', 'kiwi' ) => 'EQUAL',
			esc_html__( 'Does not equal', 'kiwi' ) => 'NOT_EQUAL',
			esc_html__( 'Greater than', 'kiwi' ) => 'GREATER_THAN',
			esc_html__( 'Greater than or equal to', 'kiwi' ) => 'GREATER_EQUAL',
			esc_html__( 'Less than', 'kiwi' ) => 'LESS_THAN',
			esc_html__( 'Less than or equal to', 'kiwi' ) => 'LESS_THAN_OR_EQUAL',			
			esc_html__( 'LIKE', 'kiwi' ) => 'LIKE',
			esc_html__( 'NOT LIKE', 'kiwi' ) => 'NOT_LIKE',
			esc_html__( 'IN', 'kiwi' ) => 'IN',
			esc_html__( 'NOT IN', 'kiwi' ) => 'NOT_IN',
			esc_html__( 'BETWEEN', 'kiwi' ) => 'BETWEEN',
			esc_html__( 'NOT BETWEEN', 'kiwi' ) => 'NOT_BETWEEN',
			esc_html__( 'EXISTS', 'kiwi' ) => 'EXISTS',
			esc_html__( 'NOT EXISTS', 'kiwi' ) => 'NOT_EXISTS',
		),
		'description' => esc_html__('Compare settings against specific meta values.', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-6 vc_column',
				
	),	
	
	
	array(
		'type' => 'textfield',
		'heading' => esc_html__('Offset', 'kiwi' ),
		'param_name' => 'mp_offset',
		'description' => esc_html__('Number of grid elements to displace or pass over.', 'kiwi' ),
		'group' => esc_html__('Data Settings', 'kiwi' ),
		'value' => 0, // default value		
	),
	
	array(
		'type' => 'textfield',
		'heading' => esc_html__('Exclude categories', 'kiwi' ),
		'param_name' => 'mp_exclude',
		'description' => esc_html__('Exclude categories by adding category id\'s separated by a comma.', 'kiwi' ),
		'group' => esc_html__('Data Settings', 'kiwi' ),
		//'value' => 0, // default value		
	),
	
	
	
	
	array(
		'type' => 'textfield',
		'heading' => esc_html__('Excerpt length', 'kiwi' ),
		'param_name' => 'mp_post_excerpt_length',
		'description' => 'E.g. 50',
		'group' => esc_html__('Excerpt Settings', 'kiwi' ),
		'value' => '', // default value	
		'edit_field_class' => 'vc_col-sm-6 vc_column',		
	),
	
	array(
		'type' => 'textfield',
		'heading' => esc_html__('Excerpt ending', 'kiwi' ),
		'param_name' => 'mp_post_excerpt_ending',
		'description' => 'E.g. ... [dots]',
		'group' => esc_html__('Excerpt Settings', 'kiwi' ),
		'value' => '', // default value		
		'edit_field_class' => 'vc_col-sm-6',
	),
	
	array(
		'type' => 'textfield',
		'heading' => esc_html__('Excerpt link text', 'kiwi' ),
		'param_name' => 'mp_post_excerpt_link',
		'description' => 'E.g. View full description »',
		'group' => esc_html__('Excerpt Settings', 'kiwi' ),	
		'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',	
		'value' => '', // default value		
	),
	
		
			  
            )
        ) );
    }
    
    /*
    Shortcode logic how it should be rendered
    */
    public function renderMyeddpostmp( $atts, $content = null ) {
      extract( shortcode_atts( array(
		'output' => '',
        'total_items' => '',
        'thumbnail_size' => '',
		'thumbnail_size_height' => '',
		'heading_text' => '',		
		'readmore_link' => '',
		'readmore_text' => '',
		'mp_url_more' => '',
		'mp_sorting' => '',
		'mp_orderby' => '',
		'mp_offset' => '',
		'mp_metakey' => '', 
		'mp_category' => '',
		'categories_array' => '',
		'mp-all-categories' => '',
		'mp_post_excerpt_length' => '',
		'mp_post_excerpt_ending' => '',
		'mp_post_excerpt_link' => '',
		'mp_layout_style' => '',
		'mp_exclude' => '',
		'truncate_title' => '',
		'grid_truncate_lenght' => '',
		'truncate_value' => '',
		'mp_comparison' => '',
		'meta_query_value' => '',
		'mp_content_audio' => '',
		'mp_content' => '',		
      ), $atts ) );
     $content = wpb_js_remove_wpautop($content, true); // fix unclosed/unwanted paragraph tags in $content
     
	 
	global $kiwi_theme_option;
		
		
		$current_page = get_query_var('page');
		$per_page = get_option('posts_per_page');
		$offset = $current_page > 0 ? $per_page * ($current_page-1) : 0;
		
		
		$args = array(
			'post_type' 	 => 'download',
			'posts_per_page' => $total_items,
			'post_status'    => 'publish',
			'order'       	 => $mp_sorting,
			'orderby'        => $mp_orderby,			
			'offset' 		 => $mp_offset,
		);
		
		
		// extra filter meta_value
		   if ( ! empty( $mp_metakey ) ){
				$args['meta_key'] = $mp_metakey;
			}
			
		
		if( $mp_comparison == 'BETWEEN' || $mp_comparison == 'NOT_BETWEEN' || 
		    $mp_comparison == 'NOT_IN' || $mp_comparison == 'IN' ) {
			$value = explode(',', $meta_query_value);
		} else {			
			$value = $meta_query_value;
		} 	
		
		// ** ** //
		 if( $meta_query_value !== '') {
		
			 if( $mp_comparison == 'EQUAL' ) { 
				$args['meta_query'][] = array(
						'key'     => $mp_metakey,
						'compare' => '=',
						'value' => $value,
				);
			 } elseif( $mp_comparison == 'NOT_EQUAL' ) { 
				$args['meta_query'][] = array(
						'key'     => $mp_metakey,
						'compare' => '!=',
						'value' => $value,
				);
			 } elseif( $mp_comparison == 'GREATER_THAN' ) { 
				$args['meta_query'][] = array(
						'key'     => $mp_metakey,
						'compare' => '>',
						'value' => $value,
				);
			 } elseif($mp_comparison == 'GREATER_EQUAL' ) { 
				$args['meta_query'][] = array(
						'key'     => $mp_metakey,
						'compare' => '>=',
						'value' => $value,
				);
			 } elseif( $mp_comparison == 'LESS_THAN' ) { 
				$args['meta_query'][] = array(
						'key'     => $mp_metakey,
						'compare' => '<',
						'value' => $value,
				);
			 } elseif($mp_comparison == 'LESS_THAN_OR_EQUAL' ) { 
				$args['meta_query'][] = array(
						'key'     => $mp_metakey,
						'compare' => '<=',
						'value' => $value,
				);
			 }elseif($mp_comparison == 'NOT_LIKE' ) { 
				$args['meta_query'][] = array(
						'key'     => $mp_metakey,
						'compare' => 'NOT LIKE',
						'value' => $value,
				);
			 }elseif($mp_comparison == 'NOT_IN' ) { 
				$args['meta_query'][] = array(
						'key'     => $mp_metakey,
						'compare' => 'NOT IN',
						'value' => $value,
				);
			 } elseif($mp_comparison == 'NOT_BETWEEN' ) { 
				$args['meta_query'][] = array(
						'key'     => $mp_metakey,
						'compare' => 'NOT BETWEEN',
						'value' => $value,
				);
			 }  elseif($mp_comparison == 'NOT_EXISTS' ) { 
				$args['meta_query'][] = array(
						'key'     => $mp_metakey,
						'compare' => 'NOT EXISTS',
						'value' => $value,
				);
			 } elseif($mp_comparison == 'LIKE' ) { 
				$args['meta_query'][] = array(
						'key'     => $mp_metakey,
						'compare' => 'LIKE',
						'value' => $value,
				);
			 } elseif($mp_comparison == 'IN' ) { 
				$args['meta_query'][] = array(
						'key'     => $mp_metakey,
						'compare' => 'IN',
						'value' => $value,
				);
			 }
			 elseif($mp_comparison == 'BETWEEN' ) { 
				$args['meta_query'][] = array(
						'key'     => $mp_metakey,
						'compare' => 'BETWEEN',
						'value' => $value,
				);
			 }
			 else { 
				$args['meta_query'][] = array(
						'key'     => $mp_metakey,
						'compare' => 'EXISTS',
						'value' => $value,
				);
			 } 
			 
			 
			 
		 }			 
		 // ** ** //
		  
		// if a category is selected
		if( $mp_category != '' ) {
			$args['tax_query'][] = array(
				'taxonomy'      	 => 'download_category',
				'field'         	 => 'term_id',
				'terms'          	 => $mp_category,
				
			);
		  }   
		
		// exclude items
		if( $mp_exclude != '' && $mp_category == '' ) {
			$args['tax_query'][] = array(
				'taxonomy'      	 => 'download_category',
				'field'         	 => 'term_id',
				'terms'          	 => explode(',', $mp_exclude),
				'operator' 			 => 'NOT IN',
				
			);
		  }  
		
	
		$grid_mp_items = new WP_Query($args); 	

		$source = plugins_url( 'images/img-empty-featuredimage.jpg', __FILE__ );
				
		
		/* */
		if( $grid_truncate_lenght == 'one-line' ) {
			$truncate_value = ' one-line';
		} elseif( $grid_truncate_lenght == 'two-lines' ) {
			$truncate_value = ' two-lines';
		}elseif( $grid_truncate_lenght == 'three-lines' ) {
			$truncate_value = ' three-lines';
		}elseif( $grid_truncate_lenght == 'four-lines' ) {
			$truncate_value = ' four-lines';
		} else {
			$truncate_value = ' no';
		}		 
		/* */
		
		$output .= '<div class="mp-vc-container">';
			
		if( isset( $heading_text ) && !empty ($heading_text)  ) {	
			$output .= "<div class='edd_widget_title_vc'><h3>{$heading_text}</h3></div>";
		}	
			
			
		if ( $mp_layout_style == ' layout_style_one' || $mp_layout_style == ' layout_style_two') {	
			$output .= "<div class='mp-vc-items mp-vc-edd-widget vc-post-mp row{$mp_layout_style}'>";
		} else {
			$output .= "<div class='mp-vc-items mp-vc-edd-widget vc-post-mp{$mp_layout_style}'>";
		}		
			
		$have_results = $grid_mp_items->have_posts();	
		if ( !empty( $have_results) && $grid_mp_items->have_posts() ) : $i = 0; while ( $grid_mp_items->have_posts() ) : $grid_mp_items->the_post();
		
		$i++;
		$last = $grid_mp_items->current_post + 1;
		
		$thumbnails = get_the_ID();
		
		//$excerpt = get_the_content();
		$excerpt = get_post_field('post_content', get_the_ID());
		$excerpt = esc_attr( strip_tags( stripslashes( $excerpt ) ) );
		$excerpt = preg_replace( '~^(\s*(?:&nbsp;)?)*~i', '', $excerpt );
				
		$readmore = ''. esc_html( $mp_post_excerpt_ending ).' <a href="' . get_the_permalink() . '">'. esc_html( $mp_post_excerpt_link ).'</a>';
		$excerpt = wp_trim_words( $excerpt, $num_words = $mp_post_excerpt_length, $more = $readmore );
				
		$release_date = get_the_time('M j, Y', get_the_ID() );
		$sales = edd_get_download_sales_stats( get_the_ID() );
		
			if ( class_exists( 'EDD_Front_End_Submissions' ) ) { 
				$vendor_thumbnail = get_post_meta( get_the_ID(), 'upload_item_thumbnail', true );	
			}
			
			if ( is_plugin_active( 'edd-coming-soon/edd-coming-soon.php' ) ) {	
				
				$cs_active = edd_coming_soon_is_active( get_the_ID() );	
				
				$custom_text = get_post_meta( get_the_ID(), 'edd_coming_soon_text', true );
				$custom_text = !empty ( $custom_text ) ? $custom_text : apply_filters( 'edd_cs_coming_soon_text', esc_html__('Coming Soon', 'edd-coming-soon' ) );
			}
		
			if ( class_exists( 'EDD_Front_End_Submissions' ) ) {	
				$constant = EDD_FES()->helper->get_option( 'fes-vendor-constant', '' );
				$constant = ( isset( $constant ) && $constant != '' ) ? $constant : esc_html__( 'vendor', 'kiwi' );
				$constant = apply_filters( 'fes_vendor_constant_singular_lowercase', $constant ); 
			}
			
		/* */
		if (class_exists( 'EDD_Front_End_Submissions' ) ){ 	
	
			$fes_featured_video = get_post_meta( get_the_ID(), 'upload_featured_video', true );
			$fes_featured_audio = get_post_meta( get_the_ID(), 'upload_featured_audio', true );

			if ( ! empty( $fes_featured_video ) && empty( $fes_featured_audio ) ) {
				$container_audio = ' mp-thumb-video';
			} elseif ( empty( $fes_featured_video ) && ! empty( $fes_featured_audio ) ) {
				$container_audio = ' mp-thumb-audio';
			} else {
				$container_audio = '';
			}
			
		}	
		
		
		
	if ($i == 1 && $mp_layout_style == ' layout_style_one' || $i == 1 && $mp_layout_style == ' layout_style_two') {
		
		
		//$output .= '<div class="col-md-6 first-column">';
		
		if( $mp_layout_style == ' layout_style_one' ) { 
			$output .= '<div class="col-md-6 first-column">';
		} else {
			$output .= "<div class='col-md-12 first-column'>";
		}
		
		
		$output .= "<div class='iso-thumbnail'>";
		
		$output .= apply_filters('mp_vc_widget_block_featured_image', $mp_content);	
		$output .= '<div class="imageoverlay"></div>';
		
		
		if ( is_plugin_active( 'edd-coming-soon/edd-coming-soon.php' ) && edd_coming_soon_is_active() ) {
			$variable_class = '<span class="cart mp-comingsoon-class"><i class="fa fa-clock-o"></i></span>';			
		} else {
			$link = edd_get_purchase_link( array( 'textafter' => '<i class="fa fa-sign-out"></i>','text' => '<i class="fa fa-cart-arrow-down"></i>','price' => '0','download_id' => get_the_ID() ) );
			$variable_class = '<span class="cart">'.$link.'</span>';
		}
		
		
		$output .= '<div class="mp-button styleblock"><span class="viewmore"><a href="'. get_permalink().'"><i class="fa fa-eye"></i></a></span>';
		$output .= $variable_class;
		$output .= '</div>';
		
		
		
		$output .= '</div>';
		
		
		$output .= '<div class="iso-desc">';
		
		$output .= '<div class="truncate'. esc_attr( $truncate_value ).'">';
		$output .= '<h4><a href="'. get_permalink().'">'.get_the_title().'</a></h4>';
		$output .= '<div class="excerpt">'.$excerpt.'</div>';
		$output .= '</div>';		
	
		global $post;
			
			$name 			= get_the_author_meta('display_name', $post->post_author);
			$vendor_name	= get_the_author_meta( 'user_login' );
			$avatar			= get_avatar( get_the_author_meta( 'ID' ), 25 );
			
			$output .= '<div class="left-column mp_author">';
			
			if ( class_exists( 'EDD_Front_End_Submissions' ) && !is_page_template( 'page-vendor.php' ) ) { 
					$output .= '<span class="byline"><span class="author vcard">'.$avatar.'';
					$output .= '<a rel="author" href="'. esc_url( site_url().'/'.$constant.'/'.str_replace(" ","-", $vendor_name) ).'">'. esc_html( $name ).'</a>'; 
					$output .= '</span></span>';
				} else {					
					$output .= '<span class="byline"><span class="author vcard">'.$avatar.'';
					$output .= esc_html( $name ); 
					$output .= '</span></span>';
			}	
			
			$output .= '</div>';
			
			if ( class_exists( 'EDD_Reviews' ) ) {		
				$output .= '<div class="right-column reviews">';			
				$output .= mp_extension_review_function_vc();			
				$output .= '<br /></div>'; 
			}	
			
			$output .= '</div>';
		$output .= '</div>';		
				
	}
	else {	
	
			if ($i == 2 && $mp_layout_style == ' layout_style_one' || $i == 2 && $mp_layout_style == ' layout_style_two') {
				
				if( $mp_layout_style == ' layout_style_one' ) { 
					$output .= "<div class='col-md-6 second-column'>";
				} else {
					$output .= "<div class='col-md-12 second-column'>";
				}
				
			}	
		
		
		$output .= '<div class="vc-post-items '. esc_attr( $container_audio ).'">';
		
		
		$output .= "<div class='vc-fes-thumbnails'>";
		
		
			$mp_featured_value = get_post_meta( get_the_ID(), 'mp_featured_item', true);
			
			if ( $mp_featured_value && $mp_featured_value == 'Yes' ) {	
				$output .= '<div class="featured-item-ribbon"><span></span></div>';				
			}
		
		 if ( has_post_thumbnail() ) {	

		 
			$output .= '<a href="' . get_the_permalink() . '">';			
	// ****************
				if ( class_exists( 'EDD_Front_End_Submissions' ) && !empty( $vendor_thumbnail ) ) { 
					foreach($vendor_thumbnail as $key=>$val){
						$url = wp_get_attachment_image_src( $val, 'full' );
						$output .= '<img src="'. esc_url( $url[0] ).'" width="'.$thumbnail_size.'" height="'.$thumbnail_size_height.'">';
					}	
				} else {
					$output .= get_the_post_thumbnail( get_the_ID(), array($thumbnail_size, $thumbnail_size_height) );
				}	
	// ****************	
			$output .= "</a>";
			$output .= apply_filters('mp_vc_widget_audio_only', $mp_content_audio);
			
		} else { 
			$output .= '<a href="' . get_the_permalink() . '">';
			$output .= '<img src="'. esc_url( $source ).'" width="'.$thumbnail_size.'" height="'.$thumbnail_size_height.'">';
			$output .= "</a>";
			$output .= apply_filters('mp_vc_widget_audio_only', $mp_content_audio);
		}	
		
		$output .= "</div>"; 
		
		
			$output .= '<span class="time">' . esc_html( $release_date ) . '</span>';
			$output .= '<span class="pull-right"><i class="fa fa-download"></i> <span>' . esc_html( $sales ). '</span></span>'; 
		
		
			$output .= '<div class="truncate'. esc_attr( $truncate_value ).'">';
				$output .= '<h4><a href="'. get_permalink().'">'.get_the_title().'</a></h4>';
			$output .= "</div>"; 
			
			if ( class_exists( 'EDD_Reviews' ) ) {		
				$output .= '<div class="reviews">';			
				$output .= mp_extension_review_function_vc();			
				$output .= '<br /></div>'; 
			}
			
			
		if ( is_plugin_active( 'edd-coming-soon/edd-coming-soon.php' ) && $cs_active ) {			
				
			$price = apply_filters( 'edd_coming_soon_display_text', '' . $custom_text . '' );
		
		$output .= sprintf( '<div class="widget-download-price cs-active">%s</div>', $price );
		
		} else {
			
			remove_filter( 'edd_coming_soon_display_text', 'edd_coming_soon_get_custom_status_text', 30, 2 );
			
			$price = get_post_meta( get_the_ID(), 'edd_price', true );
					
					if ( $price == 0 && $kiwi_theme_option['marketplace-free-enable'] == '1' && !edd_has_variable_prices( get_the_ID() ) ) {
						$output .= '<span class="price free">';
						$price = $kiwi_theme_option['marketplace-free-customtext'];
						$output .= '</span>';
					} elseif ( edd_has_variable_prices( get_the_ID() ) ) {
						 $price = edd_price_range( get_the_ID() );
					} else {
						$price = edd_price( get_the_ID(), false );
					}						 
		$output .= sprintf( '<div class="widget-download-price">%s</div>', $price );	
			
			}			
			
			
			$output .= '<div class="clear"></div>';
			$output .= '</div>';
			
	}	
			
		endwhile; 
		
			if ($i >= 2 && $i == $last && $mp_layout_style == ' layout_style_one' || $i >= 2 && $i == $last && $mp_layout_style == ' layout_style_two') {
				$output .= "</div>";
			}
		
		wp_reset_postdata();
		endif;


			$output .= "<div class='clear'></div>";	

					
		
		$link = '';
		if($readmore_link == "yes" && $mp_url_more != '' ){
				$href = vc_build_link($mp_url_more);
				$link = $href['url'];
				if(isset($href['target'])){
					$target = 'target="'.$href['target'].'"';
				}
				$output .= '<div class="mp-vc-readmore"><a '. esc_attr( $target ).' href="'. esc_url( $link ).'" >';
				$output .= "{$readmore_text}";
				$output .= "</a></div>";
				
			} else {
				
				$output .= '';
		}
		
		$output .= "</div></div>";
		
		return $output;	  
	  
    }

    /*
    Load plugin css and javascript files which you may need on front end of your site
    */
    public function loadCssAndJs() {
		//wp_enqueue_script( 'truncate', plugins_url('js/trunk8.js', __FILE__), array('jquery') );
    }

    /*
    Show notice if your plugin is activated but Visual Composer is not
    */
    public function showVcVersionNotice() {
        $plugin_data = get_plugin_data(__FILE__);
        echo '
        <div class="updated">
          <p>'.sprintf(esc_html__('<strong>%s</strong> requires <strong><a href="http://bit.ly/vcomposer" target="_blank">Visual Composer</a></strong> plugin to be installed and activated on your site.', 'kiwi'), $plugin_data['Name']).'</p>
        </div>';
    }
}
// Finally initialize code
new VCExtendAddonClassPostmp();