<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              http://theme-kiwi.com
 * @since             1.0.0
 * @package           Marketplace_Edd_Vcaddons
 *
 * @wordpress-plugin
 * Plugin Name:       Marketplace :: EDD VC Addons
 * Plugin URI:        http://theme-kiwi.com
 * Description:       Enhance your Easy Digital Downloads Theme with useful Visual Composer addons.
 * Version:           1.1.3
 * Author:            Kiarashi
 * Author URI:        http://theme-kiwi.com
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       marketplace-edd-vcaddons
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-marketplace-edd-vcaddons-activator.php
 */
function activate_marketplace_edd_vcaddons() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-marketplace-edd-vcaddons-activator.php';
	Marketplace_Edd_Vcaddons_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-marketplace-edd-vcaddons-deactivator.php
 */
function deactivate_marketplace_edd_vcaddons() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-marketplace-edd-vcaddons-deactivator.php';
	Marketplace_Edd_Vcaddons_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_marketplace_edd_vcaddons' );
register_deactivation_hook( __FILE__, 'deactivate_marketplace_edd_vcaddons' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-marketplace-edd-vcaddons.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_marketplace_edd_vcaddons() {

	$plugin = new Marketplace_Edd_Vcaddons();
	$plugin->run();

}
run_marketplace_edd_vcaddons();
