<?php 

/**
 * EDD themes
 *
 * @link       http://theme-kiwi.com
 * @since      1.1.1
 *
 * @package    Marketplace_Edd_Vcaddons
 * @subpackage Marketplace_Edd_Vcaddons/public/edd-themes
 */

/*===============================================================
	Extend the default WordPress body classes
===============================================================*/ 
function mp_theme_body_classes( $classes ) {
	
	$theme = wp_get_theme();
				
	if ('Checkout' == $theme->name || 'Checkout' == $theme->parent_theme) {				
		$classes[] = 'mp-checkout-edd-theme';				
	} elseif ('Marketify' == $theme->name || 'Marketify' == $theme->parent_theme) {				
		$classes[] = 'mp-marketify-edd-theme';				
	} elseif ('SQUARECODE-WP' == $theme->name || 'SQUARECODE-WP' == $theme->parent_theme) {				
		$classes[] = 'mp-squarecode-edd-theme';				
	} else {
		$classes[] = 'mp-custom-edd-theme';	
	}

		return $classes;
	}

add_filter( 'body_class', 'mp_theme_body_classes' );






/*===============================================================
	Checkout :: Bootstrap Compatibility
===============================================================*/ 
function mp_filter_checkout_container_class($output) {
	 
	$search  	= '<div id="content" class="site-content container" role="main">';
	$replace	= '<div id="content" class="site-content mp_checkout_container" role="main">';	
	$output		= str_replace( $search, $replace, $output );
	
	return $output;
}

add_filter( 'init', 'mp_filter_checkout_container_class', 99, 2 );  
 

/*===============================================================
	Checkout EDD Theme :: Meta
===============================================================*/ 
if ( ! function_exists( 'mp_my_edd_theme_checkout_code_meta' ) ) :

	function mp_my_edd_theme_checkout_code_meta() {
	
	$output .= '<div class="download-meta">';
	
	$output .= '<div class="download-meta-price download-price-toggle">';
		$output .= '<div class="download-meta-price-details">';

			if ( edd_has_variable_prices( get_the_ID() ) ) { 
				$output .= '<a href="'.get_the_permalink().'" rel="bookmark">'. checkout_edd_price_range() .'</a>';		
			} else if ( edd_is_free_download( get_the_ID() ) ) { 
				$output .= '<a href="'.get_the_permalink().'" rel="bookmark"><span class="edd_price">'. esc_html__( 'Free', 'checkout' ).'</span></a>';
			} else { 
				$output .= '<a href="'.get_the_permalink().'>" rel="bookmark">'. edd_price( get_the_ID(), false ) .'</a>';
			} 

			$output .= '<span class="close-pricing">'. esc_html__( 'Close', 'checkout' ).'</span>';
		$output .= '</div>';
	$output .= '</div>';
	
	$output .= '<div class="download-meta-name">';
				
			if ( class_exists( 'EDD_Front_End_Submissions' ) ) { 			
				$output .= sprintf( '<span class="author vcard"><a rel="author" class="fn" href="%1$s" title="%2$s">%3$s %4$s</a></span>', checkout_fes_author_url( get_the_author_meta( 'ID' ) ), esc_attr( sprintf( __( 'View all posts by %s', 'checkout' ), get_the_author() ) ), get_avatar( get_the_author_meta( 'ID' ), 20 ), esc_html( get_the_author_meta( 'display_name' ) ) );
			 } else { 
				$output .= '<a href="'.get_the_permalink().'" rel="bookmark"> '. esc_html__( 'View Details', 'checkout' ).'</a>';
			 } 
		$output .= '</div>';
	
	$output .= '</div>';
	
	
	return $output;
	
	}

endif; 
	


/*===============================================================
	Checkout EDD Theme :: Gallery Settings
===============================================================*/ 
if ( ! function_exists( 'mp_my_edd_theme_checkout_gallery' ) ) :

	function mp_my_edd_theme_checkout_gallery() {
		
		$gallery = get_post_gallery( get_the_ID(), false );
		
			if ( !empty( $gallery['ids'] ) ) {
				
				$gallery_ids = explode( ',', $gallery['ids'] );

			if( $gallery_ids ) :

			$image_output = '<div class="rslides-container"><ul id="lightGallery' . get_the_ID() . '" class="rslides">';

			foreach( $gallery_ids as $id ) {

				$gallery_image 	= wp_get_attachment_image_src( $id, 'full' );
				$excerpt 		= get_post_field( 'post_excerpt', $id );

				if ( ! empty( $excerpt ) ) {
					$image_excerpt_caption = $excerpt;
					$alt = $excerpt;
				} else {
					$image_excerpt_caption = null;
					$alt = get_the_title( $id );
				}
				$image_output .= '<li data-sub-html="<h3>'. $image_excerpt_caption . '</h3>" data-src=" ' . $gallery_image[0] . ' "><img src=" ' . $gallery_image[0] . ' " alt="' . esc_attr( $alt ) . '"/></li>';

			}

			$image_output .= '</ul></div>';
			
			return $image_output;

			endif; 
		}	
		
	}
	
endif; 
	
/*===============================================================
	Checkout EDD Theme :: Final Code
===============================================================*/ 
if ( ! function_exists( 'mp_my_edd_theme_checkout_code' ) ) :

	function mp_my_edd_theme_checkout_code($mp_edd_theme_checkout) {
		
		$output .= '<article itemscope itemtype="http://schema.org/Product" itemprop="productID" content="'.get_the_ID().'" id="post-'.get_the_ID().'" class="post column portfolio-post equal edd_download">';
		
		if ( has_post_format( 'gallery' ) && get_post_gallery() ) {
			
			$current = get_post();
				$output .= mp_my_edd_theme_checkout_gallery();

			// Restore the current post
			$post = $current;
			setup_postdata( $post );

		} elseif ( has_post_thumbnail() ) {
		
			$output .= '<a class="post-featured-image" href="'. get_the_permalink() .'" title="'. esc_attr( sprintf( __( 'Permalink to %s', 'checkout' ), the_title_attribute( 'echo=0' ) ) ).'" rel="bookmark">'. get_the_post_thumbnail( get_the_ID() ).'</a>'; 
		
		}
				
		$output .= '<header itemscope class="entry-header">';
		$output .= '<h3 itemprop="name" class="entry-title">';
			$output .= '<a href="'.get_the_permalink().'" rel="bookmark">';
				$output .= get_the_title();
			$output .= '</a>';
		$output .= '</h3>';

		$output .= '<div itemprop="description" class="entry-excerpt">';
			$output .= get_the_excerpt();
		$output .= '</div>';
		
			if( class_exists( 'Easy_Digital_Downloads' ) ) {
				
				$output .= mp_my_edd_theme_checkout_code_meta();
										
				$output .= '<div class="edd_download_buy_button">';
					$output .= '<div class="edd_download_buy_button_inside">';
						$output .= edd_get_purchase_link( array( 'download_id' => get_the_ID() ) );
					$output .= '</div>';
				$output .= '</div>';
	
			}
		
	$output .= '</header>';
		
		
		$output .= '</article>';		
		
		return $output;
		
	}
	add_filter('mp_custom_edd_theme_checkout', 'mp_my_edd_theme_checkout_code');

endif;







/*===============================================================
	Marketify EDD Theme :: Meta
===============================================================*/ 
if ( ! function_exists( 'mp_edd_theme_marketify_download_entry_meta' ) ) :

	function mp_edd_theme_marketify_download_entry_meta() {
		
		global $post;		
		
		$vendor = marketify()->get( 'edd-fes' )->vendor( $post->post_author );

		$output = sprintf(
			__( '<span class="byline"> by %1$s</span>', 'marketify' ),
			sprintf( '<span class="author vcard"><a class="url fn n" href="%1$s" title="%2$s">%3$s %4$s</a></span>',
				$vendor->url(),
				esc_attr( sprintf( __( 'View all %s by %s', 'marketify' ), edd_get_label_plural(), get_the_author_meta( 'display_name', $post->post_author ) ) ),
				esc_html( get_the_author_meta( 'display_name', $post->post_author ) ),
				get_avatar( get_the_author_meta( 'ID', $post->post_author ), 50, apply_filters( 'marketify_default_avatar', null ) )
			)
		);			
		
		return $output;
		
	}	
		
endif; 


/*===============================================================
	Marketify EDD Theme :: Media Meta
===============================================================*/ 
if ( ! function_exists( 'mp_edd_theme_marketify_download_entry_meta_media' ) ) :

	function mp_edd_theme_marketify_download_entry_meta_media() {
		
		if ( get_post_format() == 'audio' ) {
			
			$attachments = get_post_meta( get_the_ID(), 'preview_files', true );

			if ( ! $attachments ) {
				$attachments = get_attached_media( 'audio', get_the_ID() );

				if ( ! empty( $attachments ) ) {
					$attachments = wp_list_pluck( $attachments, 'ID' );
				}
			}

			$audio = $attachments;
			
			if ( ! is_singular( 'download' ) ) {
				$audio = array_splice( $audio, 0, 1 );
			}

			if ( empty( $audio ) ) {
				return;
			}

			$output = wp_playlist_shortcode( array(
				'id' => get_the_ID(),
				'ids' => $audio,
				'images' => false,
				'tracklist' => is_singular( 'download' )
			) );
			
			
		} else {			
			return;
		}		
		
		return $output;
		
	}	
		
endif; 


/*===============================================================
	Marketify EDD Theme :: Purchase Button
===============================================================*/ 
if ( ! function_exists( 'mp_edd_theme_marketify_download_content_actions_before' ) ) :

	function mp_edd_theme_marketify_download_content_actions_before( $download_id = null ) {
		
		global $edd_options;

        if ( ! $download_id ) {
            $download_id = get_the_ID();
        }
		
        $variable 	= edd_has_variable_prices( $download_id );
		
        $form 		= edd_get_purchase_link( array( 'download_id' => $download_id, 'price' => false ) );

        // ghetto check for sold out
        $label 		= edd_get_option( 'edd_purchase_limit_sold_out_label', 'Sold Out' );
        $sold_out 	= strpos( $form, $label );

        $in_cart = edd_item_in_cart( $download_id );
		
        if ( ! $variable || $sold_out != false || ( $in_cart ) ) {
            $output .= $form;
        } else {
            $button 	= ! empty( $edd_options[ 'add_to_cart_text' ] ) ? $edd_options[ 'add_to_cart_text' ] : __( 'Purchase', 'marketify' );
            $class 		= 'button buy-now popup-trigger';

            $output .= sprintf( '<a href="#buy-now-%s" class="%s">%s</a>', get_the_ID(), $class, $button );

			// ouput the form here so things like wishlists can find something			
			$output .= $form;
        }
		
		
		return $output;
		
	}	
		
endif; 



/*===============================================================
	Marketify EDD Theme :: Custom Video Support
===============================================================*/ 
if ( ! function_exists( 'mp_edd_theme_marketify_media_files' ) ) :

	function mp_edd_theme_marketify_media_files() {
		
		
 	if ( class_exists( 'EDD_Front_End_Submissions' ) ) {  
  	
		$fes_featured_video = get_post_meta( get_the_ID(), 'video', true );	
		
		$attr = apply_filters( 'kiwi_marketify_video_settings', array(
			'src'      => strip_tags($fes_featured_video),
			'loop'     => '',
			'autoplay' => '',
			'preload'  => 'none',
			//'poster' => $video_preview[0],
		));	
				
		if ( ! empty( $fes_featured_video ) ) {
			$output .= '<div class="video-container" itemprop="video">' . wp_video_shortcode( $attr ) . ' </div>';
		} else {
			$output .= get_the_post_thumbnail( get_the_ID(), 'full' );
		}
		
	} 	else {
		
		$marketify_featured_video = get_post_meta( get_the_ID(), 'video_url', true );	
		
		$attr = apply_filters( 'kiwi_marketify_video_settings', array(
			'src'      => strip_tags($marketify_featured_video),
			'loop'     => '',
			'autoplay' => '',
			'preload'  => 'none',
			//'poster' => $video_preview[0],
		));	
				
		if ( ! empty( $marketify_featured_video ) ) {
			$output .= '<div class="video-container" itemprop="video">' . wp_video_shortcode( $attr ) . ' </div>';
		} else {
			$output .= get_the_post_thumbnail( get_the_ID(), 'full' );
		}
		
		
	}
		
		
		//$output .= get_the_post_thumbnail( get_the_ID(), 'full' );
		
		
		return $output;
		
	}	
		
endif;


/*===============================================================
	Marketify EDD Theme :: Final Code
===============================================================*/ 
if ( ! function_exists( 'mp_my_edd_theme_marketify_code' ) ) :

	function mp_my_edd_theme_marketify_code($mp_edd_theme_marketify) {		
		
		global $post;
		
		
		$fes_featured_video = get_post_meta( get_the_ID(), 'video', true );	
		
		if ( ! empty( $fes_featured_video ) ) {
			$video_class = ' kiwi-video';
		} else {
			$video_class = '';
		}	
		
		
			$output .= do_action( 'marketify_download_content_image_before' );
		
		$output .= '<div class="content-grid-download__entry-image">';
		$output .= '<div class="content-grid-download__overlay'.$video_class.'">';
		
			$output .= do_action( 'marketify_download_content_image_overlay_before' ); 

        $output .= '<div class="content-grid-download__actions">';
		
           $output .= mp_edd_theme_marketify_download_content_actions_before();

        $output .= '<a href="' . get_the_permalink() . '" rel="bookmark" class="button button--color-white">'. esc_html__( 'Details', 'marketify' ) .'</a>'; 
		$output .= '<strong class="item-price"><span>'. sprintf( __( 'Item Price: %s', 'marketify' ), edd_price( get_the_ID(), false ) ).'</span></strong>'; 

            $output .=  do_action( 'marketify_download_content_actions_after' );
			
		$output .= '</div>';
		$output .= '</div>';

		//$output .= get_the_post_thumbnail( get_the_ID(), 'full' );
			$output .= mp_edd_theme_marketify_media_files();
		$output .= '</div>';
	
	

		// Begin modal download purchase
			$output .= do_action( 'marketify_purchase_modal_before' );		

		$output .= '<div id="buy-now-'.get_the_ID().'" class="popup">';
		$output .= '<h3 class="section-title"><span>'. esc_html__( 'Buying Options', 'marketify' ).'></span></h3>';
				
		$output .= edd_get_purchase_link( array( 'download_id' => get_the_ID() ) );
		
		$output .= '</div>';

			$output .= do_action( 'marketify_purchase_modal_after' ); 
		// End modal download purchase	
		
		
		
			$output .= do_action( 'marketify_download_content_image_after' );		
		
		// Begin content title
		$output .= '<header class="content-grid-download__entry-header">';
		$output .= '<h3 class="entry-title entry-title--truncated"><a href="'.get_the_permalink().'" rel="bookmark">'. get_the_title().'</a></h3>';

		$output .= '<div class="entry-meta">';
					
			// audio bug, hide or change filter name		
			$output .= do_action( 'mp_marketify_download_entry_meta_before_'. get_post_format() );
				
		$output .= mp_edd_theme_marketify_download_entry_meta_media();
		$output .= mp_edd_theme_marketify_download_entry_meta();
		
			$output .= do_action( 'marketify_download_entry_meta_after_' . get_post_format() );			
		$output .= '</div>';
				
		$output .= '</header>';
		// End content title
		
		
		return $output;
		
	}
	add_filter('mp_custom_edd_theme_marketify', 'mp_my_edd_theme_marketify_code');

endif;











/*===============================================================
	SquareCode EDD Theme :: Final Code
===============================================================*/ 
if ( ! function_exists( 'mp_my_edd_theme_squarecode_code' ) ) :

	function mp_my_edd_theme_squarecode_code($mp_edd_theme_squarecode) {
		
		//$output .= 'testing squarecode';	

		if ( has_post_thumbnail() ) {           

			$output .= '<div class="edd_feat_image_index">';

			
				$output .= get_the_post_thumbnail( get_the_ID(), 'full' );
				$output .= '<div class="caption" onclick="">';

					$output .= '<p>'. get_the_title().'</p>';
					
					$output .= '<p class="EDD_Price1">'. esc_html__( 'ITEM PRICE: ', 'squarecode' ).''. edd_price( get_the_ID(), false ).'</p>';
					
					$output .= '<a class="more-link-hidden" href="'.get_the_permalink().'">'. esc_html__( 'DETAILS', 'squarecode' ).'</a>';
					
					$output .= '<div class="thumb_author_details">';		
						$output .= '<div class="EDD-Avatar">'. get_avatar( get_the_author_meta('email'), '80' ).'</div>';
						$output .= '<div class="EDD-Author"><p>'. esc_html__( 'By: ', 'squarecode' ).''.get_the_author().'</p></div>';						
					$output .= '</div>';
					
				$output .= '</div>';
					
				
				$output .= '<div class="EDD-thumb-details">';
				
					$output .= '<a class="more-link edd" href="'.get_the_permalink().'">'.get_the_title().'</a>';					
					
					$output .= '<span class="edd_price">'.edd_price( get_the_ID(), false ).'</span>';

					$output .= '<div class="thumb_author_details">';					
						$output .= '<div class="EDD-Avatar">'. get_avatar( get_the_author_meta('email'), '80' ).'</div>';
						$output .= '<div class="EDD-Author"><p>'. esc_html__( 'By: ', 'squarecode' ).''.get_the_author().'</p></div>';						
					$output .= '</div>';
					
				$output .= '</div>';
				
			$output .= '</div>';

		 } else { 
			
			$output .= '<div class="edd_nofeat_image_index">';

				$output .= '<a class="more-link eddnocenter" href="'. get_the_permalink().'">'. get_the_title().'</a>';
				$output .= get_the_excerpt();

			$output .= '</div>';

		} 

		
		
		return $output;
		
	}
	add_filter('mp_custom_edd_theme_squarecode', 'mp_my_edd_theme_squarecode_code');

endif;






?>