<?php

// don't load directly
if (!defined('ABSPATH')) die('-1');


class VCExtendAddonClassFilter {
    function __construct() {
        // We safely integrate with VC with this hook
        add_action( 'init', array( $this, 'integrateWithVC' ) );
 
        // Use this when creating a shortcode addon
        add_shortcode( 'eddgridkiwi', array( $this, 'renderMyeddgridkiwi' ) );

        // Register CSS and JS
        add_action( 'wp_enqueue_scripts', array( $this, 'loadCssAndJs' ) );
    }
 
    public function integrateWithVC() {
        // Check if Visual Composer is installed
        if ( ! defined( 'WPB_VC_VERSION' ) ) {
            // Display notice that Visual Compser is required
            add_action('admin_notices', array( $this, 'showVcVersionNotice' ));
            return;
        }
		
		$wpkses = array(
			'br' => array(),
			'em' => array(),
			'strong' => array(),
			'small' => array(),
			'b' => array(),
			'i' => array(),
			'u' => array(),
			'span' => array(),
		);
 
        /*
        Add your Visual Composer logic here.
        Lets call vc_map function to "register" our custom shortcode within Visual Composer interface.

        More info: http://kb.wpbakery.com/index.php?title=Vc_map
        */

$theme = wp_get_theme();

if ('Theme Kiwi :: Marketplace' == $theme->name || 'Theme Kiwi :: Marketplace' == $theme->parent_theme) {	
	$layout_design_settings = array( 
		esc_html__( 'Select', 'kiwi' ) => '',
		esc_html__( 'Thumbnails only', 'kiwi' ) => 'thumbnails-only',
		esc_html__( 'Grid style 1', 'kiwi' ) => 'gridstyle-one',
		esc_html__( 'Grid style 2', 'kiwi' ) => 'gridstyle-two',	
		esc_html__( 'Grid style 3', 'kiwi' ) => 'gridstyle-three',
		esc_html__( 'Multi layout', 'kiwi' ) => 'multi-layout',	
	);		
} else {	
	$layout_design_settings = array( 
		esc_html__( 'Select', 'kiwi' ) => '',
		esc_html__( 'Thumbnails only', 'kiwi' ) => 'thumbnails-only',
		esc_html__( 'Grid style 1', 'kiwi' ) => 'gridstyle-one',
		esc_html__( 'Grid style 2', 'kiwi' ) => 'gridstyle-two',	
		esc_html__( 'Grid style 3', 'kiwi' ) => 'gridstyle-three',
		esc_html__( 'Multi layout', 'kiwi' ) => 'multi-layout',		
		$theme->name => 'custom-theme',	
	);	
}
		
$categories_array = array( esc_html__('All Categories', 'kiwi' ) => '' );
$category_list = get_terms( 'download_category', array( 'hide_empty' => false ) );

	if ( is_array( $category_list ) && ! empty( $category_list ) ) {
		foreach ( $category_list as $category_details ) {	
			$begin = __(' (ID: ', 'kiwi');
			$end = __(')', 'kiwi');
			$categories_array[ $category_details->name . $begin. $category_details->term_id . $end ] = $category_details->term_id;	
		}
	} 
			


$tags_array = array( esc_html__('All Tags', 'kiwi' ) => '' );
$tag_list = get_terms( 'download_tag', array( 'hide_empty' => false ) );

	if ( is_array( $tag_list ) && ! empty( $tag_list ) ) {
		foreach ( $tag_list as $tag_details ) {	
			$begin = __(' (ID: ', 'kiwi');
			$end = __(')', 'kiwi');
			$tags_array[ $tag_details->name . $begin. $tag_details->term_id . $end ] = $tag_details->term_id;	
		}
	} 

		 
        vc_map( array(
            "name" => esc_html__("Marketplace :: Filter", 'kiwi'),
            "description" => esc_html__("A filterable grid display of items.", 'kiwi'),
            "base" => "eddgridkiwi",
            "class" => "",
            "controls" => "full",		
            "icon" => "icon-kiwi-filter",
			"category" => esc_html__('EDD', 'kiwi'),
          //  'admin_enqueue_css' => array(plugins_url('../css/kiwi-vc-addon.css', __FILE__)),
			"params" => array(
    
	
	
	array(
		'type'             => 'kiwi_vc_param_heading',
		'title'            => esc_html__( 'Heading', 'kiwi' ),
		'param_name'       => 'kiwi_heading_filter',
		'edit_field_class' => 'vc_col-sm-12 vc_column',
	),
	
	
	array(
		'type' => 'textfield',
		'heading' => esc_html__('Heading text', 'kiwi' ),
		'param_name' => 'heading_text',
		'value' => '', 
		'edit_field_class' => 'vc_col-sm-12 vc_column',
		'description' => esc_html__('Add title (e.g., Latest Additions)', 'kiwi' ),
		
	),
	
	/* array(
		'type' => 'checkbox',
		'heading' => esc_html__('Add read more link?', 'kiwi' ),
		'param_name' => 'readmore_link',
		'value' => array( esc_html__('Yes', 'kiwi' ) => 'yes' ),
		//'description' => esc_html__('Append filter to grid.', 'kiwi' ),
	),
	
	
	array(
		'type' => 'textfield',
		'heading' => esc_html__('Read more text link', 'kiwi' ),
		'param_name' => 'readmore_text',
		'value' => '', // default value
		'param_holder_class' => 'vc_not-for-custom',
		'description' => esc_html__('(e.g., View more items in this category).', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-6 vc_column',
	),
	
	
	
	array(
		'type' => 'vc_link',
		'heading' => esc_html__('Add url here', 'kiwi' ),
		'param_name' => 'mp_url_more',
		'value' => '',
		//'description' => esc_html__('Append filter to grid.', 'kiwi' ),
	),
	
	 */
	
	
	
	// Filter Settings	
	array(
		'type'             => 'kiwi_vc_param_heading',
		'title'            => esc_html__( 'Filter Settings', 'kiwi' ),
		'param_name'       => 'kiwi_heading_filter_setting',
		'edit_field_class' => 'vc_col-sm-12 vc_column',
		'group' 		   => esc_html__('Filter', 'kiwi' ),
	),
	
 	array(
		'type' => 'textfield',
		'heading' => esc_html__('Number of filters', 'kiwi' ),
		'param_name' => 'filter_max_items',
		'value' => '', // default value
		'group' => esc_html__('Filter', 'kiwi' ),
		'description' => esc_html__('Set max number of filters. E.g.: 10.', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-6 vc_column',
	),
	
	array(
			'type' => 'dropdown',
			'heading' => esc_html__('Filter alignment', 'kiwi' ),
			'param_name' => 'mp_filter_alignment',
			'value' => array(
						esc_html__( 'Select', 'kiwi' ) => '',
						esc_html__( 'Left', 'kiwi' ) => 'filter-left',
						esc_html__( 'Right', 'kiwi' ) => 'filter-right',				
						),					
			'group' => esc_html__('Filter', 'kiwi' ),
			'edit_field_class' => 'vc_col-sm-6 vc_column',
	), 
	
	array(
		'type' => 'textfield',
		'heading' => esc_html__('Show category/tag on load', 'kiwi' ),
		'param_name' => 'filter_load_categories',
		'description' => wp_kses(__('Enter category/tag slug to show on load. Add a dot before the category/tag. (E.g.: .creative) Else use: <b>all</b> (without a dot).', 'kiwi'), $wpkses),
		'group' => esc_html__('Filter', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-6 vc_column',
	),
	
	
	array(
		'type' => 'dropdown',
		'heading' => esc_html__('Select filter options', 'kiwi' ),
		'param_name' => 'mp_filter_options',
		'value'       => array(
					esc_html__( 'Select', 'kiwi' ) => '',
					esc_html__( 'Categories', 'kiwi' ) => 'filter-categories',
					esc_html__( 'Tags', 'kiwi' ) => 'filter-tags',
					esc_html__( 'Both', 'kiwi' ) => 'filter-both-tags-categories',					
					),					
		'description' => esc_html__('Filter based on categories or tags.', 'kiwi' ),
		'group' => esc_html__('Filter', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-6 vc_column',
	), 
	
	
	
	/* 
	 array(
			'type' => 'dropdown',
			'heading' => esc_html__('Select Tags', 'kiwi' ),
			'param_name' => 'mp_tags',
			'value' => $tags_array,			
			'description' => esc_html__('Select tags.', 'kiwi' ),
			'group' => esc_html__('Filter', 'kiwi' ),
			//'std' => '1/1'
	),  */
	
	
	
	array(
		'type'            	=> 'kiwi_vc_param_heading',
		'title'            	=> esc_html__( 'Category Settings', 'kiwi' ),
		'param_name'       	=> 'kiwi_heading_category_settings',
		'edit_field_class' 	=> 'vc_col-sm-12 vc_column',
		'group' 			=> esc_html__('Filter', 'kiwi' ),
		'dependency' 		=> Array('element' => 'mp_filter_options', 'value' => 'filter-categories' ),
	),
	
	array(
		'type' 				=> 'textfield',
		'heading' 			=> esc_html__('Include categories', 'kiwi' ),
		'param_name' 		=> 'filter_include_categories',
		'description'		=> esc_html__('Include categories by adding category id\'s separated by a comma. If left blank, all categories are displayed.', 'kiwi' ),
		'group' 			=> esc_html__('Filter', 'kiwi' ),
		'dependency' 		=> Array('element' => 'mp_filter_options', 'value' => 'filter-categories' ),
		'edit_field_class' 	=> 'vc_col-sm-6 vc_column',		
	),
	
	array(
		'type' 				=> 'textfield',
		'heading' 			=> esc_html__('Exclude categories', 'kiwi' ),
		'param_name' 		=> 'filter_exclude_categories',
		'description' 		=> esc_html__('Exclude categories by adding category id\'s separated by a comma.', 'kiwi' ),
		'group' 			=> esc_html__('Filter', 'kiwi' ),
		'dependency' 		=> Array('element' => 'mp_filter_options', 'value' => 'filter-categories' ),
		'edit_field_class' 	=> 'vc_col-sm-6 vc_column',		
	),
	
	
	array(
		'type'             => 'kiwi_vc_param_heading',
		'title'            => esc_html__( 'Tag Settings', 'kiwi' ),
		'param_name'       => 'kiwi_heading_tag',
		'edit_field_class' => 'vc_col-sm-12 vc_column',
		'group' => esc_html__('Filter', 'kiwi' ),
		'dependency' => Array('element' => 'mp_filter_options', 'value' => 'filter-tags' ),	
	),
	
	array(
		'type' => 'textfield',
		'heading' => esc_html__('Include tags', 'kiwi' ),
		'param_name' => 'filter_include_tags',
		'description' => esc_html__('Include tags by adding their id\'s separated by a comma. If left blank, all tags are displayed.', 'kiwi' ),
		'group' => esc_html__('Filter', 'kiwi' ),
		'dependency' => Array('element' => 'mp_filter_options', 'value' => 'filter-tags' ),		
	),
	 
	
	array(
		'type'            	=> 'kiwi_vc_param_heading',
		'title'            	=> esc_html__( 'Filter Settings', 'kiwi' ),
		'param_name'       	=> 'kiwi_heading_filter_both_settings',
		'edit_field_class' 	=> 'vc_col-sm-12 vc_column',
		'group' 			=> esc_html__('Filter', 'kiwi' ),
		'dependency' 		=> Array('element' => 'mp_filter_options', 'value' => 'filter-both-tags-categories' ),
	),
	
	array(
		'type' 				=> 'textfield',
		'heading' 			=> esc_html__('Include ID\'s', 'kiwi' ),
		'param_name' 		=> 'filter_include_all',
		'description'		=> esc_html__('Include category and tag ID\'s separated by a comma. If left blank, all tags and categories are displayed.', 'kiwi' ),
		'group' 			=> esc_html__('Filter', 'kiwi' ),
		'dependency' 		=> Array('element' => 'mp_filter_options', 'value' => 'filter-both-tags-categories' ),
		'edit_field_class' 	=> 'vc_col-sm-12 vc_column',		
	),
	
	
	array(
		'type'             => 'kiwi_vc_param_heading',
		'title'            => esc_html__( 'Typography', 'kiwi' ),
		'param_name'       => 'kiwi_heading_typo',
		'edit_field_class' => 'vc_col-sm-12 vc_column',
		'group' 		   => esc_html__('Filter', 'kiwi' ),
		'dependency' 	   => array( 'element' => 'mp_filter_options', 'not_empty' => true ),
	),

	
	array(
		'type' => 'textfield',
		'heading' => esc_html__('Fontsize', 'kiwi' ),
		'param_name' => 'filter_fontsize',
		//'description' => esc_html__('Enter category/tag slug to show on load. Add a dot before the category/tag. (E.g.: .creative) Else use: <b>all</b> (without a dot).', 'kiwi' ),
		'group' => esc_html__('Filter', 'kiwi' ),
		'dependency' => Array( 'element' => 'mp_filter_options', 'value' => Array('filter-categories','filter-tags','filter-both-tags-categories') ),	
		'edit_field_class' => 'vc_col-sm-6 vc_column',
	),	
	
	array(
		'type' => 'textfield',
		'heading' => esc_html__('Fontfamily', 'kiwi' ),
		'param_name' => 'filter_fontfamily',
		//'description' => esc_html__('Enter category/tag slug to show on load. Add a dot before the category/tag. (E.g.: .creative) Else use: <b>all</b> (without a dot).', 'kiwi' ),
		'group' => esc_html__('Filter', 'kiwi' ),
		'dependency' => Array( 'element' => 'mp_filter_options', 'value' => Array('filter-categories','filter-tags') ),	
		'edit_field_class' => 'vc_col-sm-6 vc_column',
	),
	
	
	array(
		'type'             => 'kiwi_vc_param_heading',
		'title'            => esc_html__( 'Miscellaneous', 'kiwi' ),
		'param_name'       => 'kiwi_heading_misc_filter_settings',
		'edit_field_class' => 'vc_col-sm-12 vc_column',
		'group' 			=> esc_html__('Filter', 'kiwi' ),
		//'dependency' => Array('element' => 'mp_filter_options', 'value' => 'filter-categories' ),
	),
	
	array(
		'type' => 'checkbox',
		'heading' => esc_html__('RTL Mode?', 'kiwi' ),
		'param_name' => 'mp_grid_rtl',
		//'description' => esc_html__('Hide title and/or author name.', 'kiwi' ),
		'value' => array( esc_html__('Yes.', 'kiwi' ) => 'yes' ),
		'group' => esc_html__('Filter', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-6 vc_column',
		),
	
	array(
		'type' => 'checkbox',
		'heading' => esc_html__('Enable speech bubble effect?', 'kiwi' ),
		'param_name' => 'mp_speech_bubble',
		'description' => esc_html__('This will add an arrow at the bottom.', 'kiwi' ),
		'value' => array( esc_html__('Yes.', 'kiwi' ) => 'yes' ),
		'group' => esc_html__('Filter', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-6 vc_column',
		),
		
		
		
		array(
		'type' => 'colorpicker',
		'heading' => esc_html__('Background color arrow', 'kiwi' ),
		'param_name' => 'mp_speech_bubble_arrow_color',
		'value' => '', // default value
		//'param_holder_class' => 'vc_not-for-custom',
		//'description' => esc_html__('border color', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
		'group' => esc_html__('Filter', 'kiwi' ),
		'dependency' => Array('element' => 'mp_speech_bubble', 'value' => 'yes' ),
	),
	
	array(
		'type' => 'textfield',
		'heading' => esc_html__('Arrow size', 'kiwi' ),
		'param_name' => 'mp_speech_bubble_arrow_size',
		'value' => '', // default value
		//'param_holder_class' => 'vc_not-for-custom',
		'description' => esc_html__('(numeric only)', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
		'group' => esc_html__('Filter', 'kiwi' ),
		'dependency' => Array('element' => 'mp_speech_bubble', 'value' => 'yes' ),
	),
	
	
	// Design Settings
	
	array(
		'type' => 'textfield',
		'heading' => esc_html__('Total items', 'kiwi' ),
		'param_name' => 'total_items',
		'value' => '', // default value
		//'param_holder_class' => 'vc_not-for-custom',
		'description' => esc_html__('Set max limit for items in grid.', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
		'group' => esc_html__('Design Settings', 'kiwi' ),
	),
	
	
	array(
			'type' => 'dropdown',
			'heading' => esc_html__('Layout', 'kiwi' ),
			'param_name' => 'mp_grid_design_layout',
			'value' => $layout_design_settings,				
			//'description' => 'Layout options for navigation.',	
			'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
			'group' => esc_html__('Design Settings', 'kiwi' ),			
	),
	
	array(
		'type' => 'dropdown',
		'heading' => esc_html__('Columns', 'kiwi' ),
		'param_name' => 'mp_grid_design_columns',
		'value'       => array(
			esc_html__( 'Select', 'kiwi' ) => '',
			esc_html__( 'One', 'kiwi' ) => 'design_columns_one',
			esc_html__( 'Two', 'kiwi' ) => 'design_columns_two',
			esc_html__( 'Three', 'kiwi' ) => 'design_columns_three',
			esc_html__( 'Four', 'kiwi' ) => 'design_columns_four',					
			),			
		'description' => 'Number of columns inside the grid layout.',	
		'edit_field_class' => 'vc_col-sm-6 vc_column',
		'group' => esc_html__('Design Settings', 'kiwi' ),
		'dependency' => Array( 'element' => 'mp_grid_design_layout', 'value' => Array('gridstyle-one','gridstyle-two','gridstyle-three','multi-layout','custom-theme') ),	
	),
	
	array(
		'type' => 'dropdown',
		'heading' => esc_html__('Equal heights', 'kiwi' ),
		'param_name' => 'mp_grid_design_equal_heights',
		'value'       => array(
			esc_html__( 'Select', 'kiwi' ) => '',
			esc_html__( 'Yes', 'kiwi' ) => 'yes',
			esc_html__( 'No', 'kiwi' ) => 'No',			
			),			
		'description' => 'Enable equal column heights',	
		'edit_field_class' => 'vc_col-sm-6 vc_column',
		'group' => esc_html__('Design Settings', 'kiwi' ),
		//'dependency' => Array( 'element' => 'mp_grid_design_layout', 'value' => Array('gridstyle-one','gridstyle-two','gridstyle-three','multi-layout','custom-theme') ),	
	),
	
	
	array(
		'type'             => 'kiwi_vc_param_heading',
		'title'            => esc_html__( 'Thumbnail Settings', 'kiwi' ),
		'param_name'       => 'kiwi_edd_thumb_setting',
		'edit_field_class' => 'vc_col-sm-12 vc_column',
		'group' => esc_html__('Design Settings', 'kiwi' ),
		'dependency' => Array( 'element' => 'mp_grid_design_layout', 'value' => Array('thumbnails-only','multi-layout') ),	
	),
	
	array(
		'type' => 'textfield',
		'heading' => esc_html__('Size of the thumbnails', 'kiwi' ),
		'param_name' => 'thumbnail_size',
		'value' => '', // default value
		//'param_holder_class' => 'vc_not-for-custom',
		'description' => esc_html__('Set thumbnail width (e.g., 80). Numeric only.', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-6 vc_column',
		'group' => esc_html__('Design Settings', 'kiwi' ),
		'dependency' => Array( 'element' => 'mp_grid_design_layout', 'value' => Array('thumbnails-only','multi-layout') ),		
	),
	
	array(
		'type' => 'textfield',
		'heading' => esc_html__('Size of the thumbnails', 'kiwi' ),
		'param_name' => 'thumbnail_size_height',
		'value' => '', // default value
		//'param_holder_class' => 'vc_not-for-custom',
		'description' => esc_html__('Set thumbnail height (e.g., 80). Numeric only.', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-6 vc_column',
		'group' => esc_html__('Design Settings', 'kiwi' ),
		'dependency' => Array( 'element' => 'mp_grid_design_layout', 'value' => Array('thumbnails-only','multi-layout') ),			
	),
	
	
	
	
	
	
		
		
	array(
		'type' => 'checkbox',
		'heading' => esc_html__('Extra styling?', 'kiwi' ),
		'param_name' => 'mp_grid_design_thumbnail_styling',
		'description' => esc_html__('Enable extra styling.', 'kiwi' ),
		'value' => array( esc_html__('Yes, please.', 'kiwi' ) => 'yes' ),
		'group' => esc_html__('Design Settings', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-6 vc_column',
		'dependency' => Array( 'element' => 'mp_grid_design_layout', 'value' => Array('thumbnails-only','multi-layout') ),
		),
		
	array(
		'type' => 'checkbox',
		'heading' => esc_html__('Tooltip', 'kiwi' ),
		'param_name' => 'mp_tooltip_thumbnails',
		'description' => esc_html__('Enable Preview Tooltip.', 'kiwi' ),
		'value' => array( esc_html__('Yes, please.', 'kiwi' ) => 'yes' ),
		'group' => esc_html__('Design Settings', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-6 vc_column',
		'dependency' => Array( 'element' => 'mp_grid_design_layout', 'value' => Array('thumbnails-only','multi-layout') ),	
	),	
	
	
	
	array(
		'type'             => 'kiwi_vc_param_heading',
		'title'            => esc_html__( 'Thumbnail Styling', 'kiwi' ),
		'param_name'       => 'kiwi_edd_thumb_styling',
		'edit_field_class' => 'vc_col-sm-12 vc_column',
		'group' => esc_html__('Design Settings', 'kiwi' ),
		'dependency' => Array( 'element' => 'mp_grid_design_thumbnail_styling', 'value' => Array('yes') ),
	),
	
	
	array(
		'type' => 'textfield',
		'heading' => esc_html__('Border', 'kiwi' ),
		'param_name' => 'mp_grid_design_thumbnail_border',
		'value' => '', // default value
		//'param_holder_class' => 'vc_not-for-custom',
		'description' => esc_html__('Border e.g.: 1px solid #e8e8e8', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-6 vc_column',
		'group' => esc_html__('Design Settings', 'kiwi' ),
		'dependency' => Array( 'element' => 'mp_grid_design_thumbnail_styling', 'value' => Array('yes') ),
	),
	
	array(
		'type' => 'textfield',
		'heading' => esc_html__('Padding', 'kiwi' ),
		'param_name' => 'mp_grid_design_thumbnail_padding',
		'value' => '', // default value
		//'param_holder_class' => 'vc_not-for-custom',
		'description' => esc_html__('Padding e.g.: 5px 5px 5px 5px', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-6 vc_column',
		'group' => esc_html__('Design Settings', 'kiwi' ),
		'dependency' => Array( 'element' => 'mp_grid_design_thumbnail_styling', 'value' => Array('yes') ),
	),
	
	array(
		'type' => 'textfield',
		'heading' => esc_html__('Background', 'kiwi' ),
		'param_name' => 'mp_grid_design_thumbnail_background',
		'value' => '', // default value
		//'param_holder_class' => 'vc_not-for-custom',
		'description' => esc_html__('Background color. E.g.: #ffffff', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-6 vc_column',
		'group' => esc_html__('Design Settings', 'kiwi' ),
		'dependency' => Array( 'element' => 'mp_grid_design_thumbnail_styling', 'value' => Array('yes') ),
	),
	
	array(
		'type' => 'textfield',
		'heading' => esc_html__('Margin', 'kiwi' ),
		'param_name' => 'mp_grid_design_thumbnail_margin',
		'value' => '', // default value
		//'param_holder_class' => 'vc_not-for-custom',
		'description' => esc_html__('Margin. E.g.: 0px 1.4% 1.4% 0px', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-6 vc_column',
		'group' => esc_html__('Design Settings', 'kiwi' ),
		'dependency' => Array( 'element' => 'mp_grid_design_thumbnail_styling', 'value' => Array('yes') ),
	),
	
	
	
	
	array(
			'type'             => 'kiwi_vc_param_heading',
			'title'            => esc_html__( 'Featured Image only', 'kiwi' ),
			'param_name'       => 'kiwi_edd_grid_featured',
			'edit_field_class' => 'vc_col-sm-12 vc_column',
			'group' => esc_html__('Design Settings', 'kiwi' ),	
			'dependency' => Array( 'element' => 'mp_grid_design_layout', 'value' => Array('gridstyle-two') ),		
		),
	
	array(
		'type' => 'checkbox',
		'heading' => esc_html__('Hide caption?', 'kiwi' ),
		'param_name' => 'mp_grid_design_layout_hide_caption',
		'description' => esc_html__('Hide title and author name, so that only featured images are displayed.', 'kiwi' ),
		'value' => array( esc_html__('Yes, please.', 'kiwi' ) => 'yes' ),
		'group' 			=> 	esc_html__('Design Settings', 'kiwi' ),
		'dependency' => Array( 'element' => 'mp_grid_design_layout', 'value' => Array('gridstyle-two') ),	
		),
		
		
	
	
	
	
	array(
		'type'             	=> 'kiwi_vc_param_heading',
		'title'            	=> esc_html__( 'Excerpt Settings', 'kiwi' ),
		'param_name'       	=> 'kiwi_edd_grid_excerpt',
		'edit_field_class' 	=> 'vc_col-sm-12 vc_column',
		'group'				=> esc_html__('Design Settings', 'kiwi' ),
		'dependency'		=> Array( 'element' => 'mp_grid_design_layout', 'value' => Array('gridstyle-one','multi-layout') ),		
	),
	
	array(
		'type' => 'textfield',
		'heading' => esc_html__('Excerpt length', 'kiwi' ),
		'param_name' => 'mp_griddesign_excerpt_length',
		'description' => 'E.g. 50',
		'group' => esc_html__('Excerpt Settings', 'kiwi' ),
		'value' => '', // default value	
		'edit_field_class' => 'vc_col-sm-6 vc_column',
		'group' => esc_html__('Design Settings', 'kiwi' ),
		'dependency' => Array( 'element' => 'mp_grid_design_layout', 'value' => Array('gridstyle-one','multi-layout') ),	
	),
	
	array(
		'type' => 'textfield',
		'heading' => esc_html__('Excerpt ending', 'kiwi' ),
		'param_name' => 'mp_griddesign_excerpt_ending',
		'description' => 'E.g. ... [dots]',
		'group' => esc_html__('Excerpt Settings', 'kiwi' ),
		'value' => '', // default value		
		'edit_field_class' => 'vc_col-sm-6  vc_column',
		'group' => esc_html__('Design Settings', 'kiwi' ),
		'dependency' => Array( 'element' => 'mp_grid_design_layout', 'value' => Array('gridstyle-one','multi-layout') ),
	),
	
	array(
		'type' => 'textfield',
		'heading' => esc_html__('Excerpt link text', 'kiwi' ),
		'param_name' => 'mp_griddesign_excerpt_link',
		'description' => 'E.g. View full description »',
		'group' => esc_html__('Excerpt Settings', 'kiwi' ),		
		'value' => ' ', // default value	
		'group' => esc_html__('Design Settings', 'kiwi' ),
		//'edit_field_class' => 'vc_col-sm-12 vc_column-with-padding',
		'dependency' => Array( 'element' => 'mp_grid_design_layout', 'value' => Array('gridstyle-one','multi-layout') ),		
	),
	
	
	array(
		'type'             => 'kiwi_vc_param_heading',
		'title'            => esc_html__( 'Truncate Title', 'kiwi' ),
		'param_name'       => 'kiwi_edd_grid_author_trunc',
		'edit_field_class' => 'vc_col-sm-12 vc_column',
		'group' 			=> 	esc_html__('Design Settings', 'kiwi' ),
		'dependency' 		=> Array( 'element' => 'mp_grid_design_layout', 'value' => Array('gridstyle-one','gridstyle-two','gridstyle-three','multi-layout','custom-theme') ),		
			
	),
	
	array(
		'type' => 'checkbox',
		'heading' => esc_html__('Truncate item title?', 'kiwi' ),
		'param_name' => 'truncate_title',
		'description' => esc_html__(' ', 'kiwi' ),
		'value' => array( esc_html__('Yes, please.', 'kiwi' ) => 'yes' ),
		'group' 			=> 	esc_html__('Design Settings', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
		'dependency' => Array( 'element' => 'mp_grid_design_layout', 'value' => Array('gridstyle-one','gridstyle-two','gridstyle-three','multi-layout','custom-theme') ),		
		),
		
		array(
			'type' => 'dropdown',
			//'heading' => esc_html__('Length', 'kiwi' ),
			'param_name' => 'grid_truncate_lenght',
			'value'       => array(
				esc_html__( 'Select length', 'kiwi' ) => '',
				esc_html__( '1 line', 'kiwi' ) => 'one-line',
				esc_html__( '2 lines', 'kiwi' ) => 'two-lines',
				esc_html__( '3 lines', 'kiwi' ) => 'three-lines',
				esc_html__( '4 lines', 'kiwi' ) => 'four-lines',				
				),			
			'description' => '<br />',	
			'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
			'group' => esc_html__('Design Settings', 'kiwi' ),	
			'dependency' => Array('element' => 'truncate_title', 'value' => 'yes' ),
	),
	
	
	
	array(
		'type'             => 'kiwi_vc_param_heading',
		'title'            => esc_html__( 'Multi-layout Settings', 'kiwi' ),
		'param_name'       => 'kiwi_heading_misc_multi_layout',
		'edit_field_class' => 'vc_col-sm-12 vc_column',
		'group' 			=> 	esc_html__('Design Settings', 'kiwi' ),
		'dependency' => Array( 'element' => 'mp_grid_design_layout', 'value' => 'multi-layout' ),
	),
		
	array(
			'type' => 'dropdown',
			'heading' => esc_html__('Select layout on load.', 'kiwi' ),
			'param_name' => 'filter_load_multilayout',
			'value'       => array(
				esc_html__( 'Select', 'kiwi' ) => '',
				esc_html__( 'Thumbnails', 'kiwi' ) => 'fes-thumb',					
				esc_html__( 'Featured image only', 'kiwi' ) => 'imageview',
				esc_html__( 'Featured image with title and author', 'kiwi' ) => 'image-info-view',
				esc_html__( 'Featured image with excerpt and price', 'kiwi' ) => 'gridview',
				esc_html__( 'Featured image with title, author and price', 'kiwi' ) => 'image-info-short',		
				),			
			'group' => esc_html__('Design Settings', 'kiwi' ),
			'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
			'dependency' => Array( 'element' => 'mp_grid_design_layout', 'value' => 'multi-layout' ),	
	),
	
	array(
		'type' => 'textfield',
		'heading' => esc_html__('Margin multi-layouts', 'kiwi' ),
		'param_name' => 'mp_grid_multilayouts_margin',
		'value' => '', // default value
		//'param_holder_class' => 'vc_not-for-custom',
		'description' => esc_html__('Additional margin to correctly place the multi-layout icons. (e.g.: 5px 0px 5px 0px)', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
		'group' => esc_html__('Design Settings', 'kiwi' ),
		'dependency' => Array( 'element' => 'mp_grid_design_layout', 'value' => 'multi-layout' ),		
	),
		  
	// Data settings
	
	array(
			'type'             => 'kiwi_vc_param_heading',
			'title'            => esc_html__( 'WP Query', 'kiwi' ),
			'param_name'       => 'kiwi_edd_grid_query',
			'edit_field_class' => 'vc_col-sm-12 vc_column',
			'group' => esc_html__('Data Settings', 'kiwi' ),
		),
		
		
	array(
		'type' => 'dropdown',
		'heading' => esc_html__('Order by', 'kiwi' ),
		'param_name' => 'mp_orderby',
		'value' => array(
			esc_html__( 'Date', 'kiwi' ) => 'date',
			esc_html__( 'Order by post ID', 'kiwi' ) => 'ID',
			esc_html__( 'Author', 'kiwi' ) => 'author',
			esc_html__( 'Title', 'kiwi' ) => 'title',
			esc_html__( 'Last modified date', 'kiwi' ) => 'modified',
		//	esc_html__( 'Post/page parent ID', 'kiwi' ) => 'parent',
			esc_html__( 'Number of comments', 'kiwi' ) => 'comment_count',
		//	esc_html__( 'Menu order/Page Order', 'kiwi' ) => 'menu_order',
			esc_html__( 'Meta value', 'kiwi' ) => 'meta_value',
			esc_html__( 'Meta value number', 'kiwi' ) => 'meta_value_num',
		//  esc_html__('Matches same order you passed in via the 'include' parameter.', 'kiwi') => 'post__in'
			esc_html__( 'Random order', 'kiwi' ) => 'rand',
		),
		'description' => wp_kses(__('Select order type.', 'kiwi'), $wpkses),
		'group' => esc_html__('Data Settings', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-6  vc_column',
		
	),
	array(
		'type' => 'dropdown',
		'heading' => esc_html__('Sorting', 'kiwi' ),
		'param_name' => 'mp_sorting',
		'group' => esc_html__('Data Settings', 'kiwi' ),
		'value' => array(
			__( 'Descending', 'kiwi' ) => 'DESC',
			__( 'Ascending', 'kiwi' ) => 'ASC',
		),
		'description' => esc_html__('Select sorting order.', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-6  vc_column',
				
	),
	 array(
		'type' => 'textfield',
		'heading' => wp_kses(__('Meta key <span>(*)</span>', 'kiwi'), $wpkses),
		'param_name' => 'mp_metakey',
		'description' => wp_kses(__('Input meta key for grid ordering. (e.g., <b>_edd_download_sales</b> for most sales)', 'kiwi'), $wpkses),		
		'group' => esc_html__('Data Settings', 'kiwi' ),
		'value' => '',
		'dependency' => Array( 'element' => 'mp_orderby', 'value' => Array('meta_value','meta_value_num') ),

	), 
	
	array(
		'type' => 'textfield',
		'heading' => esc_html__('Meta query value', 'kiwi' ),
		'param_name' => 'meta_query_value',
		'description' => esc_html__('Extra filter for meta_key.', 'kiwi' ),
		'group' => esc_html__('Data Settings', 'kiwi' ),
		'value' => '',		
		'edit_field_class' => 'vc_col-sm-6 vc_column',
		'dependency' => Array( 'element' => 'mp_orderby', 'value' => Array('meta_value','meta_value_num') ),
	),
	
	array(
		'type' => 'dropdown',
		'heading' => esc_html__('Compare', 'kiwi' ),
		'param_name' => 'mp_comparison',
		'group' => esc_html__('Data Settings', 'kiwi' ),
		'value' => array(
			esc_html__( 'Equal', 'kiwi' ) => 'EQUAL',
			esc_html__( 'Does not equal', 'kiwi' ) => 'NOT_EQUAL',
			esc_html__( 'Greater than', 'kiwi' ) => 'GREATER_THAN',
			esc_html__( 'Greater than or equal to', 'kiwi' ) => 'GREATER_EQUAL',
			esc_html__( 'Less than', 'kiwi' ) => 'LESS_THAN',
			esc_html__( 'Less than or equal to', 'kiwi' ) => 'LESS_THAN_OR_EQUAL',			
			esc_html__( 'LIKE', 'kiwi' ) => 'LIKE',
			esc_html__( 'NOT LIKE', 'kiwi' ) => 'NOT_LIKE',
			esc_html__( 'IN', 'kiwi' ) => 'IN',
			esc_html__( 'NOT IN', 'kiwi' ) => 'NOT_IN',
			esc_html__( 'BETWEEN', 'kiwi' ) => 'BETWEEN',
			esc_html__( 'NOT BETWEEN', 'kiwi' ) => 'NOT_BETWEEN',
			esc_html__( 'EXISTS', 'kiwi' ) => 'EXISTS',
			esc_html__( 'NOT EXISTS', 'kiwi' ) => 'NOT_EXISTS',
		),
		'description' => esc_html__('Compare settings against specific meta values.', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-6 vc_column',
		'dependency' => Array( 'element' => 'mp_orderby', 'value' => Array('meta_value','meta_value_num') ),
				
	),	
	
	array(
		'type' => 'textfield',
		'heading' => esc_html__('Offset', 'kiwi' ),
		'param_name' => 'mp_offset',
		'description' => esc_html__('Number of grid elements to displace or pass over.', 'kiwi' ),
		'group' => esc_html__('Data Settings', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-12  vc_column',
		'value' => 0, // default value		
	),
	
	
	
	array(
		'type'             => 'kiwi_vc_param_heading',
		'title'            => esc_html__( 'Select Category', 'kiwi' ),
		'param_name'       => 'kiwi_edd_grid_category',
		'edit_field_class' => 'vc_col-sm-12 vc_column',	
		'group' 		   => esc_html__('Data Settings', 'kiwi' ),
	),
	
	array(
			'type' 			=> 'dropdown',
			'heading' 		=> esc_html__('Select Category', 'kiwi' ),
			'param_name' 	=> 'mp_category',
			'value' 		=> $categories_array,			
			'description' 	=> esc_html__('Select category or leave as it is for all.', 'kiwi' ),
			'group' 		=> esc_html__('Data Settings', 'kiwi' ),
			'edit_field_class' => 'vc_col-sm-6  vc_column',	
	),
	
	
	array(
		'type' => 'textfield',
		'heading' => esc_html__('Exclude categories', 'kiwi' ),
		'param_name' => 'grid_exclude',
		'description' => esc_html__('Exclude categories by adding category id\'s separated by a comma.', 'kiwi' ),
		'group' => esc_html__('Data Settings', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-6 vc_column',
		//'value' => 0, // default value		
	),
	
	
	
	array(
		'type' => 'checkbox',
		'heading' => esc_html__('Include multiple categories?', 'kiwi' ),
		'param_name' => 'grid_multi_cats_query',
		'description' => esc_html__(' ', 'kiwi' ),
		'value' => array( esc_html__('Yes, please.', 'kiwi' ) => 'yes' ),
		'group' => esc_html__('Data Settings', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-12 vc_column vc_column-with-padding',		
		),
				
	array(
		'type' => 'textfield',
		'heading' => esc_html__('Multiple categories', 'kiwi' ),
		'param_name' => 'grid_multi_cats_include',
		'description' => esc_html__('Include category ID\'s separated by a comma.', 'kiwi' ),
		'group' => esc_html__('Data Settings', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-6 vc_column',	
		'dependency' => array( 'element' => 'grid_multi_cats_query', 'value' => 'yes' ),
	), 
	
	
	array(
		'type' => 'dropdown',
		'heading' => esc_html__('Relation', 'kiwi' ),
		'param_name' => 'grid_multi_cats_relation',
		'group' => esc_html__('Data Settings', 'kiwi' ),
		'value' => array(
			esc_html__( 'And', 'kiwi' ) => 'AND',
			esc_html__( 'Or', 'kiwi' ) => 'OR',			
		),
		'edit_field_class' => 'vc_col-sm-6 vc_column',	
		'dependency' => array( 'element' => 'grid_multi_cats_query', 'value' => 'yes' ),		
	),
		
	array(
		'type'             => 'kiwi_vc_param_heading',
		'title'            => esc_html__( 'Tags', 'kiwi' ),
		'param_name'       => 'kiwi_edd_grid_tags',
		'edit_field_class' => 'vc_col-sm-12 vc_column',	
		'group' 		   => esc_html__('Data Settings', 'kiwi' ),
	),
	
	array(
		'type' => 'checkbox',
		'heading' => esc_html__('Include EDD tags to WP Query', 'kiwi' ),
		'param_name' => 'grid_tags_query',
		'description' => esc_html__(' ', 'kiwi' ),
		'value' => array( esc_html__('Yes, please.', 'kiwi' ) => 'yes' ),
		'group' => esc_html__('Data Settings', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-12 vc_column vc_column-with-padding',		
		),
				
	array(
		'type' => 'textfield',
		'heading' => esc_html__('Include tags', 'kiwi' ),
		'param_name' => 'grid_tags_query_include',
		'description' => esc_html__('Include tags by adding tag id\'s separated by a comma.', 'kiwi' ),
		'group' => esc_html__('Data Settings', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-6 vc_column',	
		'dependency' => array( 'element' => 'grid_tags_query', 'value' => 'yes' ),
	), 
	
	
	array(
		'type' => 'dropdown',
		'heading' => esc_html__('Relation', 'kiwi' ),
		'param_name' => 'grid_tags_query_relation',
		'group' => esc_html__('Data Settings', 'kiwi' ),
		'value' => array(
			esc_html__( 'And', 'kiwi' ) => 'AND',
			esc_html__( 'Or', 'kiwi' ) => 'OR',			
		),
		//'description' => esc_html__('Compare settings against specific meta values.', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-6 vc_column',	
		'dependency' => array( 'element' => 'grid_tags_query', 'value' => 'yes' ),		
	),
	
	
	
	
	
	
	
	
	// Styling settings		
	array(
		'type'             => 'kiwi_vc_param_heading',
		'title'            => esc_html__( 'Grid Styling', 'kiwi' ),
		'param_name'       => 'kiwi_edd_filter_styling',
		'edit_field_class' => 'vc_col-sm-12 vc_column',
		'group' => esc_html__('Styling settings', 'kiwi' ),
		'dependency' => Array( 'element' => 'mp_grid_design_layout', 'value' => Array('gridstyle-one','gridstyle-two','gridstyle-three','multi-layout') ),
		
	),
	
	
	array(
		'type' => 'checkbox',
		'heading' => esc_html__('Enable extra styling?', 'kiwi' ),
		'param_name' => 'grid_extra_styling_box',
		'value' => array( esc_html__('Yes', 'kiwi' ) => 'yes' ),
		'group' => esc_html__('Styling settings', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-12 vc_column vc_column-with-padding',
		'dependency' => Array( 'element' => 'mp_grid_design_layout', 'value' => Array('gridstyle-one','gridstyle-two','gridstyle-three','multi-layout') ),
		
	),
	
	
	
	array(
		'type' => 'textfield',
		'heading' => esc_html__('Spacing', 'kiwi' ),
		'param_name' => 'grid_spacing_box',
		'value' => '', // default value
		//'param_holder_class' => 'vc_not-for-custom',
		'description' => esc_html__('Spacing inside each grid. (e.g. 5px 10px 5px 10px)', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-6 vc_column',
		'group' => esc_html__('Styling settings', 'kiwi' ),
		'dependency' => Array('element' => 'grid_extra_styling_box', 'value' => 'yes' ),
	),
	
	array(
		'type' => 'textfield',
		'heading' => esc_html__('Spacing', 'kiwi' ),
		'param_name' => 'grid_spacing_box_extra',
		'value' => '', // default value
		//'param_holder_class' => 'vc_not-for-custom',
		'description' => esc_html__('Additional spacing around text.', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-6 vc_column',
		'group' => esc_html__('Styling settings', 'kiwi' ),
		'dependency' => Array('element' => 'grid_extra_styling_box', 'value' => 'yes' ),
	),
	
	array(
		'type' => 'colorpicker',
		'heading' => esc_html__('Border color', 'kiwi' ),
		'param_name' => 'grid_border_box',
		'value' => '', // default value
		//'param_holder_class' => 'vc_not-for-custom',
		//'description' => esc_html__('border color', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
		'group' => esc_html__('Styling settings', 'kiwi' ),
		'dependency' => Array('element' => 'grid_extra_styling_box', 'value' => 'yes' ),
	),
	
	
	array(
		'type' => 'colorpicker',
		'heading' => esc_html__('Background color', 'kiwi' ),
		'param_name' => 'grid_background_box',
		'value' => '', // default value
		//'param_holder_class' => 'vc_not-for-custom',
		//'description' => esc_html__('border color', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
		'group' => esc_html__('Styling settings', 'kiwi' ),
		'dependency' => Array('element' => 'grid_extra_styling_box', 'value' => 'yes' ),
	),
	
	
	array(
		'type' => 'colorpicker',
		'heading' => esc_html__('Title color', 'kiwi' ),
		'param_name' => 'grid_title_color_box',
		'value' => '', // default value
		//'param_holder_class' => 'vc_not-for-custom',
		//'description' => esc_html__('border color', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
		'group' => esc_html__('Styling settings', 'kiwi' ),
		'dependency' => Array('element' => 'grid_extra_styling_box', 'value' => 'yes' ),
	),
	array(
		'type' => 'colorpicker',
		'heading' => esc_html__('Title hover color', 'kiwi' ),
		'param_name' => 'grid_title_hover_color_box',
		'value' => '', // default value
		//'param_holder_class' => 'vc_not-for-custom',
		//'description' => esc_html__('border color', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
		'group' => esc_html__('Styling settings', 'kiwi' ),
		'dependency' => Array('element' => 'grid_extra_styling_box', 'value' => 'yes' ),
	),	
	
	array(
		'type' => 'colorpicker',
		'heading' => esc_html__('Excerpt color', 'kiwi' ),
		'param_name' => 'grid_excerpt_color_box',
		'value' => '', // default value
		//'param_holder_class' => 'vc_not-for-custom',
		//'description' => esc_html__('border color', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
		'group' => esc_html__('Styling settings', 'kiwi' ),
		'dependency' => Array('element' => 'grid_extra_styling_box', 'value' => 'yes' ),
	),
	
	array(
		'type' => 'colorpicker',
		'heading' => esc_html__('Price color', 'kiwi' ),
		'param_name' => 'grid_price_box',
		'value' => '', // default value
		//'param_holder_class' => 'vc_not-for-custom',
		//'description' => esc_html__('border color', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
		'group' => esc_html__('Styling settings', 'kiwi' ),
		'dependency' => Array('element' => 'grid_extra_styling_box', 'value' => 'yes' ),
	),
	
	array(
		'type' => 'colorpicker',
		'heading' => esc_html__('Category color', 'kiwi' ),
		'param_name' => 'grid_category_color_box',
		'value' => '', // default value
		//'param_holder_class' => 'vc_not-for-custom',
		//'description' => esc_html__('border color', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
		'group' => esc_html__('Styling settings', 'kiwi' ),
		'dependency' => Array('element' => 'grid_extra_styling_box', 'value' => 'yes' ),
	),
	
	array(
		'type' => 'colorpicker',
		'heading' => esc_html__('Category hover color', 'kiwi' ),
		'param_name' => 'grid_category_hover_color_box',
		'value' => '', // default value
		//'param_holder_class' => 'vc_not-for-custom',
		//'description' => esc_html__('border color', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
		'group' => esc_html__('Styling settings', 'kiwi' ),
		'dependency' => Array('element' => 'grid_extra_styling_box', 'value' => 'yes' ),
	),
	
	
	
	array(
		'type' => 'colorpicker',
		'heading' => esc_html__('Coming Soon color', 'kiwi' ),
		'param_name' => 'grid_coming_soon_box',
		'value' => '', // default value
		//'param_holder_class' => 'vc_not-for-custom',
		'description' => esc_html__('Only works if Coming Soon plugin is activated.', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
		'group' => esc_html__('Styling settings', 'kiwi' ),
		'dependency' => Array('element' => 'grid_extra_styling_box', 'value' => 'yes' ),
	),
	
	array(
		'type' => 'colorpicker',
		'heading' => esc_html__('Coming Soon bg color', 'kiwi' ),
		'param_name' => 'grid_coming_soon_background_box',
		'value' => '', // default value
		//'param_holder_class' => 'vc_not-for-custom',
		'description' => esc_html__('Only works if Coming Soon plugin is activated.', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
		'group' => esc_html__('Styling settings', 'kiwi' ),
		'dependency' => Array('element' => 'grid_extra_styling_box', 'value' => 'yes' ),
	),
		
	array(
		'type' => 'colorpicker',
		'heading' => esc_html__('Author text color', 'kiwi' ),
		'param_name' => 'grid_author_box',
		'value' => '', // default value
		//'param_holder_class' => 'vc_not-for-custom',
		//'description' => esc_html__('Text color when Coming Soon plugin is activated.', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
		'group' => esc_html__('Styling settings', 'kiwi' ),
		'dependency' => Array('element' => 'grid_extra_styling_box', 'value' => 'yes' ),
	),
	
	array(
		'type' => 'colorpicker',
		'heading' => esc_html__('Author hover color', 'kiwi' ),
		'param_name' => 'grid_author_hover_box',
		'value' => '', // default value
		//'param_holder_class' => 'vc_not-for-custom',
		//'description' => esc_html__('Text color when Coming Soon plugin is activated.', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
		'group' => esc_html__('Styling settings', 'kiwi' ),
		'dependency' => Array('element' => 'grid_extra_styling_box', 'value' => 'yes' ),
	),	
	
	
	
	array(
		'type' => 'checkbox',
		'heading' => esc_html__('Add box shadow?', 'kiwi' ),
		'param_name' => 'grid_shadow_box',
		'value' => array( esc_html__('Yes', 'kiwi' ) => 'yes' ),
		//'description' => esc_html__('Append filter to grid.', 'kiwi' ),
		'group' => esc_html__('Styling settings', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
		'dependency' => Array('element' => 'grid_extra_styling_box', 'value' => 'yes' ),
	),
		
	array(
		'type'             => 'kiwi_vc_param_heading',
		'title'            => esc_html__( 'Heading Styling', 'kiwi' ),
		'param_name'       => 'kiwi_edd_filter_heading_styling',
		'edit_field_class' => 'vc_col-sm-12 vc_column',
		'group' => esc_html__('Styling settings', 'kiwi' ),
	),
	
	array(
		'type' => 'checkbox',
		'heading' => esc_html__('Enable extra heading styling?', 'kiwi' ),
		'param_name' => 'grid_extra_styling_heading_box',
		'value' => array( esc_html__('Yes', 'kiwi' ) => 'yes' ),
		//'description' => esc_html__('Append filter to grid.', 'kiwi' ),
		'group' => esc_html__('Styling settings', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-12 vc_column vc_column-with-padding',
	),
	
	
	array(
		'type' => 'colorpicker',
		'heading' => esc_html__('Text color', 'kiwi' ),
		'param_name' => 'grid_heading_color_box',
		'value' => '', // default value
		//'param_holder_class' => 'vc_not-for-custom',
		//'description' => esc_html__('border color', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-4 vc_column vc_column-with-padding',
		'group' => esc_html__('Styling settings', 'kiwi' ),
		'dependency' => Array('element' => 'grid_extra_styling_heading_box', 'value' => 'yes' ),
	),
	
	array(
		'type' => 'colorpicker',
		'heading' => esc_html__('Background color', 'kiwi' ),
		'param_name' => 'grid_heading_bgcolor_box',
		'value' => '', // default value
		//'param_holder_class' => 'vc_not-for-custom',
		//'description' => esc_html__('border color', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-4 vc_column vc_column-with-padding',
		'group' => esc_html__('Styling settings', 'kiwi' ),
		'dependency' => Array('element' => 'grid_extra_styling_heading_box', 'value' => 'yes' ),
	),
	
	array(
		'type' => 'colorpicker',
		'heading' => esc_html__('Border color', 'kiwi' ),
		'param_name' => 'grid_heading_border_color_box',
		'value' => '', // default value
		//'param_holder_class' => 'vc_not-for-custom',
		//'description' => esc_html__('border color', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-4 vc_column vc_column-with-padding',
		'group' => esc_html__('Styling settings', 'kiwi' ),
		'dependency' => Array('element' => 'grid_extra_styling_heading_box', 'value' => 'yes' ),
	),
	
	array(
		'type' => 'textfield',
		'heading' => esc_html__('Padding', 'kiwi' ),
		'param_name' => 'grid_heading_padding_box',
		'value' => '', // default value
		//'param_holder_class' => 'vc_not-for-custom',
		'description' => esc_html__('E.g. 5px 10px 5px 10px', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
		'group' => esc_html__('Styling settings', 'kiwi' ),
		'dependency' => Array('element' => 'grid_extra_styling_heading_box', 'value' => 'yes' ),
	),
	
	array(
		'type' => 'checkbox',
		'heading' => esc_html__('Enable full width?', 'kiwi' ),
		'param_name' => 'grid_heading_bg_fullwidth',
		'value' => array( esc_html__('Yes', 'kiwi' ) => 'yes' ),
		//'description' => esc_html__('Append filter to grid.', 'kiwi' ),
		'group' => esc_html__('Styling settings', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
		'dependency' => Array('element' => 'grid_extra_styling_heading_box', 'value' => 'yes' ),
	),
	
	
	
	array(
		'type'             => 'kiwi_vc_param_heading',
		'title'            => esc_html__( 'Filter Styling', 'kiwi' ),
		'param_name'       => 'kiwi_edd_filter_buttons_styling',
		'edit_field_class' => 'vc_col-sm-12 vc_column',
		'group' => esc_html__('Styling settings', 'kiwi' ),
	),
	
	array(
		'type' => 'checkbox',
		'heading' => esc_html__('Enable extra filter styling?', 'kiwi' ),
		'param_name' => 'grid_extra_styling_filter',
		'value' => array( esc_html__('Yes', 'kiwi' ) => 'yes' ),
		//'description' => esc_html__('Append filter to grid.', 'kiwi' ),
		'group' => esc_html__('Styling settings', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-12 vc_column vc_column-with-padding',
	),
	
	
		array(
		'type' => 'colorpicker',
		'heading' => esc_html__('Background color filter div', 'kiwi' ),
		'param_name' => 'grid_filter_div_bg_color',
		'value' => '', // default value
		//'param_holder_class' => 'vc_not-for-custom',
		//'description' => esc_html__('border color', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-4 vc_column vc_column-with-padding',
		'group' => esc_html__('Styling settings', 'kiwi' ),
		'dependency' => Array('element' => 'grid_extra_styling_filter', 'value' => 'yes' ),
	),
	
	array(
		'type' => 'colorpicker',
		'heading' => esc_html__('Text color', 'kiwi' ),
		'param_name' => 'grid_extra_styling_filter_textcolor',
		'value' => '', // default value
		//'param_holder_class' => 'vc_not-for-custom',
		//'description' => esc_html__('border color', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-4 vc_column vc_column-with-padding',
		'group' => esc_html__('Styling settings', 'kiwi' ),
		'dependency' => Array('element' => 'grid_extra_styling_filter', 'value' => 'yes' ),
	),
	
	array(
		'type' => 'colorpicker',
		'heading' => esc_html__('Background color', 'kiwi' ),
		'param_name' => 'grid_extra_styling_filter_bgcolor',
		'value' => '', // default value
		//'param_holder_class' => 'vc_not-for-custom',
		//'description' => esc_html__('border color', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-4 vc_column vc_column-with-padding',
		'group' => esc_html__('Styling settings', 'kiwi' ),
		'dependency' => Array('element' => 'grid_extra_styling_filter', 'value' => 'yes' ),
	),
	
	array(
		'type' => 'textfield',
		'heading' => esc_html__('Spacing', 'kiwi' ),
		'param_name' => 'grid_extra_styling_filter_spacing_box',
		'value' => '', // default value
		//'param_holder_class' => 'vc_not-for-custom',
		'description' => esc_html__('Spacing around the text (e.g.: 5px 0px 5px 0px)', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-6 vc_column',
		'group' => esc_html__('Styling settings', 'kiwi' ),
		'dependency' => Array('element' => 'grid_extra_styling_filter', 'value' => 'yes' ),
	),
	
	array(
		'type' => 'textfield',
		'heading' => esc_html__('Border radius', 'kiwi' ),
		'param_name' => 'grid_extra_styling_filter_borderradius',
		'value' => '', // default value
		//'param_holder_class' => 'vc_not-for-custom',
		'description' => esc_html__('Create rounded orders. E.g.: 3px', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-6 vc_column',
		'group' => esc_html__('Styling settings', 'kiwi' ),
		'dependency' => Array('element' => 'grid_extra_styling_filter', 'value' => 'yes' ),
	),
	
	
	array(
		'type' => 'colorpicker',
		'heading' => esc_html__('Bg color active', 'kiwi' ),
		'param_name' => 'grid_extra_styling_filter_bgcolor_active',
		'value' => '', // default value
		//'param_holder_class' => 'vc_not-for-custom',
		'description' => esc_html__('Background color when filter is active.', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
		'group' => esc_html__('Styling settings', 'kiwi' ),
		'dependency' => Array('element' => 'grid_extra_styling_filter', 'value' => 'yes' ),
	),
	
	array(
		'type' => 'colorpicker',
		'heading' => esc_html__('Bg color hover', 'kiwi' ),
		'param_name' => 'grid_extra_styling_filter_bgcolor_hover',
		'value' => '', // default value
		//'param_holder_class' => 'vc_not-for-custom',
		'description' => esc_html__('Background color on mouse over.', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
		'group' => esc_html__('Styling settings', 'kiwi' ),
		'dependency' => Array('element' => 'grid_extra_styling_filter', 'value' => 'yes' ),
	),
	
	
	
	array(
		'type' => 'colorpicker',
		'heading' => esc_html__('Text color active', 'kiwi' ),
		'param_name' => 'grid_extra_styling_filter_text_active',
		'value' => '', // default value
		//'param_holder_class' => 'vc_not-for-custom',
		'description' => esc_html__('Text color when filter is active.', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
		'group' => esc_html__('Styling settings', 'kiwi' ),
		'dependency' => Array('element' => 'grid_extra_styling_filter', 'value' => 'yes' ),
	),
	
	array(
		'type' => 'colorpicker',
		'heading' => esc_html__('Text color hover', 'kiwi' ),
		'param_name' => 'grid_extra_styling_filter_text_hover',
		'value' => '', // default value
		//'param_holder_class' => 'vc_not-for-custom',
		'description' => esc_html__('Text color on mouse over.', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
		'group' => esc_html__('Styling settings', 'kiwi' ),
		'dependency' => Array('element' => 'grid_extra_styling_filter', 'value' => 'yes' ),
	),
	
	
	
	array(
		'type'             => 'kiwi_vc_param_heading',
		'title'            => esc_html__( 'Full Width Settings', 'kiwi' ),
		'param_name'       => 'kiwi_edd_grid_heading_full',
		'edit_field_class' => 'vc_col-sm-12 vc_column',
		'group' => esc_html__('Styling settings', 'kiwi' ),
	),
	
	
	array(
		'type' => 'checkbox',
		'heading' => esc_html__('Add container class', 'kiwi' ),
		'param_name' => 'grid_container_class',
		'value' => array( esc_html__('Yes', 'kiwi' ) => 'yes' ),
		'description' => esc_html__('Enable this option to stretch the filter div to full width but not the links.', 'kiwi' ),
		'group' => esc_html__('Styling settings', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
	),
		
	array(
		'type' => 'checkbox',
		'heading' => esc_html__('Stretch Full Width', 'kiwi' ),
		'param_name' => 'grid_container_fullwidth_items',
		'value' => array( esc_html__('Yes', 'kiwi' ) => 'yes' ),
		'description' => esc_html__('Enable this option to stretch your EDD downloads full width.', 'kiwi' ),
		'group' => esc_html__('Styling settings', 'kiwi' ),
		'edit_field_class' => 'vc_col-sm-6 vc_column vc_column-with-padding',
	),
	 
            )
        ) );
    }
    
    /*
    Shortcode logic how it should be rendered
    */
    public function renderMyeddgridkiwi( $atts, $content = null ) {
      extract( shortcode_atts( array(		
		'output' => '',
        'total_items' => '',
        'thumbnail_size' => '',
		'thumbnail_size_height' => '',
		'heading_text' => '',		
		//'readmore_link' => '',
		//'readmore_text' => '',
		//'mp_url_more' => '',
		'mp_sorting' => '',
		'mp_orderby' => '',
		'mp_offset' => '',
		'mp_metakey' => '', 
		'mp_category' => '',
		'categories_array' => '',
		'mp-all-categories' => '',
		'mp_comparison' => '',
		'grid_exclude' => '',
		'meta_query_value' => '',
		'mp_grid_design_layout' => '',
		'mp_grid_design_columns' => '',
		'truncate_title' => '',
		'mp_griddesign_excerpt_length' => '',
		'mp_griddesign_excerpt_ending' => '',
		'mp_griddesign_excerpt_link' => '',		
		'grid_spacing_box' => '',
		'grid_border_box' => '',
		'grid_background_box' => '',
		'grid_shadow_box' => '',
		'grid_spacing_box_extra' => '',
		'grid_extra_styling_box' => '',
		'grid_title_color_box' => '',
		'grid_title_hover_color_box' => '',
		'grid_excerpt_color_box' => '',
		'grid_category_color_box' => '',
		'grid_category_hover_color_box' => '',
		'grid_price_box' => '',
		'grid_coming_soon_box' => '',
		'grid_author_box' => '',
		'grid_author_hover_box' => '',
		'grid_coming_soon_background_box' => '',
		'grid_heading_color_box' => '',
		'grid_heading_bgcolor_box' => '',
		'grid_heading_border_color_box' => '',
		'grid_extra_styling_heading_box' => '',
		'grid_heading_padding_box' => '',
		'grid_heading_bg_fullwidth' => '',
		//'filter_exclude' => '',
		'mp_grid_design_layout_hide_caption' => '',
		'mp_filter_options' => '',
		'filter_exclude_categories' => '', 
		'filter_include_tags' => '', 
		'filter_max_items' => '', 		
		'filter_load_categories' => '',
		'mp_filter_alignment' => '',
		'filter_load_multilayout' => '',
		'grid_extra_styling_filter' => '',
		'grid_extra_styling_filter_textcolor' => '',
		'grid_extra_styling_filter_bgcolor' => '',
		'grid_extra_styling_filter_spacing_box' => '',
		'grid_extra_styling_filter_borderradius' => '',
		'grid_extra_styling_filter_bgcolor_active' => '',	
		'grid_extra_styling_filter_bgcolor_hover' => '',		
		'grid_extra_styling_filter_text_active' => '',
		'grid_extra_styling_filter_text_hover' => '',
		'mp_grid_rtl' => '',
		'mp_grid_design_thumbnail_styling' => '',
		'mp_grid_design_thumbnail_border' => '',
		'mp_grid_design_thumbnail_padding' => '',
		'mp_grid_design_thumbnail_background' => '',
		'mp_grid_design_thumbnail_margin' => '',		
		'filter_fontfamily' => '',
		'filter_fontsize' => '',
		'filter_include_categories' => '',
		'filter_include_all' => '',
		'grid_truncate_lenght' => '',
		'truncate_value' => '',
		'grid_container_class' => '',
		'grid_filter_div_bg_color' => '',
		'mp_speech_bubble' => '',	
		'mp_speech_bubble_arrow_size' => '',
		'mp_speech_bubble_arrow_color' => '',	
		'mp_grid_multilayouts_margin' => '',
		'grid_container_fullwidth_items' => '',	
		'mp_content_audio' => '',
		'mp_content' => '',
		'mp_tooltip_thumbnails' => '',
		'kiwi_heading_filter' => '',
		'kiwi_heading_filter_setting' => '',
		'kiwi_heading_category_settings' => '',
		'kiwi_heading_tag' => '',
		'kiwi_heading_typo' => '',
		'kiwi_heading_misc_filter_settings' => '',
		'kiwi_edd_grid_query' => '',
		'kiwi_edd_filter_styling' => '',
		'kiwi_edd_filter_heading_styling' => '',
		'kiwi_edd_filter_buttons_styling' => '',
		'kiwi_edd_grid_heading_full' => '',
		'kiwi_edd_grid_tags' => '',
		'grid_tags_query_include' => '',
		'grid_tags_query' => '',
		'grid_tags_query_relation' => '',
		'kiwi_edd_grid_category' => '',
		'mp_grid_design_equal_heights' => '',
		'layout_design_settings' => '',
		'mp_edd_theme_custom_theme' => '',
		'grid_multi_cats_query' => '',
		'grid_multi_cats_include' => '',
		'grid_multi_cats_relation' => '',
      ), $atts ) );
     $content = wpb_js_remove_wpautop($content, true); // fix unclosed/unwanted paragraph tags in $content
     
	 global $kiwi_theme_option;
			
		$current_page = get_query_var('page');
		//$per_page = get_option('posts_per_page');
		$per_page = $total_items;
		$offset = $current_page > 0 ? $per_page * ($current_page-1) : 0;
				
		$args = array(
			'post_type' 	 => 'download',
			'posts_per_page' => $total_items,
			'post_status'    => 'publish',
			'order'       	 => $mp_sorting,
			'orderby'        => $mp_orderby,			
			'offset' 		 => $mp_offset,						
		);
		
		if ( ! empty( $mp_metakey ) ){
				$args['meta_key'] = $mp_metakey;
			}
		
		if( $mp_comparison == 'BETWEEN' || $mp_comparison == 'NOT_BETWEEN' || $mp_comparison == 'NOT_IN' || $mp_comparison == 'IN' ) {
			$value = explode(',', $meta_query_value);
		} else {			
			$value = $meta_query_value;
		} 	
		
		// ** ** //
		 if( $meta_query_value !== '') {
		
			 if( $mp_comparison == 'EQUAL' ) { 
				$args['meta_query'][] = array(
						'key'     => $mp_metakey,
						'compare' => '=',
						'value' => $value,
				);
			 } elseif( $mp_comparison == 'NOT_EQUAL' ) { 
				$args['meta_query'][] = array(
						'key'     => $mp_metakey,
						'compare' => '!=',
						'value' => $value,
				);
			 } elseif( $mp_comparison == 'GREATER_THAN' ) { 
				$args['meta_query'][] = array(
						'key'     => $mp_metakey,
						'compare' => '>',
						'value' => $value,
				);
			 } elseif($mp_comparison == 'GREATER_EQUAL' ) { 
				$args['meta_query'][] = array(
						'key'     => $mp_metakey,
						'compare' => '>=',
						'value' => $value,
				);
			 } elseif( $mp_comparison == 'LESS_THAN' ) { 
				$args['meta_query'][] = array(
						'key'     => $mp_metakey,
						'compare' => '<',
						'value' => $value,
				);
			 } elseif($mp_comparison == 'LESS_THAN_OR_EQUAL' ) { 
				$args['meta_query'][] = array(
						'key'     => $mp_metakey,
						'compare' => '<=',
						'value' => $value,
				);
			 }elseif($mp_comparison == 'NOT_LIKE' ) { 
				$args['meta_query'][] = array(
						'key'     => $mp_metakey,
						'compare' => 'NOT LIKE',
						'value' => $value,
				);
			 }elseif($mp_comparison == 'NOT_IN' ) { 
				$args['meta_query'][] = array(
						'key'     => $mp_metakey,
						'compare' => 'NOT IN',
						'value' => $value,
				);
			 } elseif($mp_comparison == 'NOT_BETWEEN' ) { 
				$args['meta_query'][] = array(
						'key'     => $mp_metakey,
						'compare' => 'NOT BETWEEN',
						'value' => $value,
				);
			 }  elseif($mp_comparison == 'NOT_EXISTS' ) { 
				$args['meta_query'][] = array(
						'key'     => $mp_metakey,
						'compare' => 'NOT EXISTS',
						'value' => $value,
				);
			 } elseif($mp_comparison == 'LIKE' ) { 
				$args['meta_query'][] = array(
						'key'     => $mp_metakey,
						'compare' => 'LIKE',
						'value' => $value,
				);
			 } elseif($mp_comparison == 'IN' ) { 
				$args['meta_query'][] = array(
						'key'     => $mp_metakey,
						'compare' => 'IN',
						'value' => $value,
				);
			 }
			 elseif($mp_comparison == 'BETWEEN' ) { 
				$args['meta_query'][] = array(
						'key'     => $mp_metakey,
						'compare' => 'BETWEEN',
						'value' => $value,
				);
			 }
			 else { 
				$args['meta_query'][] = array(
						'key'     => $mp_metakey,
						'compare' => 'EXISTS',
						'value' => $value,
				);
			 } 
			 
			 
			 
		 }			 
		 // ** ** //
		
		// if a category is selected
		if( $mp_category != '' && $grid_multi_cats_query == '' ) {
			$args['tax_query'][] = array(
				'taxonomy'      	 => 'download_category',
				'field'         	 => 'term_id',
				'terms'          	 => $mp_category,
				
			);
		  } 
		  
		// include multi categories
		if( $grid_multi_cats_query == 'yes' && $grid_multi_cats_include != '' ) {
			$args['tax_query']['relation'] = $grid_multi_cats_relation;
			$args['tax_query'][] = array(
				'taxonomy'      	 => 'download_category',
				'field'         	 => 'term_id',
				'terms'          	 => explode(',', $grid_multi_cats_include),
				'operator' 			 => 'IN',
				
			);
		  } 
		  
		// exclude items
		if( $grid_exclude != '' && $mp_category == '' ) {
			$args['tax_query'][] = array(
				'taxonomy'      	 => 'download_category',
				'field'         	 => 'term_id',
				'terms'          	 => explode(',', $grid_exclude),
				'operator' 			 => 'NOT IN'
				
			);
		  }  
		  
		// include tags
		if( $grid_tags_query == 'yes' && $grid_tags_query_include != '' ) {
			$args['tax_query']['relation'] = $grid_tags_query_relation;
			$args['tax_query'][] = array(
				'taxonomy'      	 => 'download_tag',
				'field'         	 => 'term_id',
				'terms'          	 => explode(',', $grid_tags_query_include),
				'operator' 			 => 'IN',
				
			);
		  }
		  
		
		  
	
		$grid_mp_items = new WP_Query($args); 	
		
		
		if( $mp_grid_design_columns == 'design_columns_one' ) { 
			$class_column = ' one-columns';
		}elseif( $mp_grid_design_columns == 'design_columns_two' ) { 
			$class_column = ' two-columns';
		}elseif( $mp_grid_design_columns == 'design_columns_three' ) { 
			$class_column = ' three-columns';
		}elseif( $mp_grid_design_columns == 'design_columns_four' ) { 
			$class_column = ' four-columns';
		} else {
			$class_column = '';
		}
		
		if( $mp_filter_alignment == 'filter-left' ) { 
			$class_align = ' left-align';
		} elseif( $mp_filter_alignment == 'filter-right' ) { 
			$class_align = ' right-align';
		} else {
			$class_align = '';
		}
		
		
		if( $mp_grid_design_layout == 'gridstyle-two' ) { 
			$class_gridstyle = ' gridstyle-two';
		} elseif( $mp_grid_design_layout == 'gridstyle-one' ) { 
			$class_gridstyle = ' gridstyle-one';
		} elseif( $mp_grid_design_layout == 'gridstyle-three' ) { 
			$class_gridstyle = ' gridstyle-three';
		} elseif( $mp_grid_design_layout == 'multi-layout' ) { 
			$class_gridstyle = ' multilayout design-thumbnails';
		} elseif( $mp_grid_design_layout == 'thumbnails-only' ) { 
			$class_gridstyle = ' multilayout design-thumbnails';
		} else {
			$class_gridstyle = ' mp-custom-design';
		}
		
		
		if( $grid_container_fullwidth_items == 'yes' ) { 
			$class_full_width_items = ' full-container';
		} else { 
			$class_full_width_items = '';
		}
		
		
			
			
		$uniqid = uniqid('kiwi-');
		
		
		if( isset( $grid_background_box ) && !empty ($grid_background_box)  ) {
			$value_bg = '.'.$uniqid.' .filter-view.multilayout ul.image-info-short li, .styled-background .'.$uniqid.' .filter-view.multilayout ul.image-info-short li,.'.$uniqid.' .grid-view ul li, .styled-background .'.$uniqid.' .filter-view.multilayout ul.imageview li,.styled-background .'.$uniqid.' .filter-view.multilayout ul.gridview li,.styled-background .'.$uniqid.' .filter-view.multilayout ul.image-info-view li,.'.$uniqid.' .filter-view.multilayout ul.imageview li,.'.$uniqid.' .filter-view.multilayout ul.gridview li,.'.$uniqid.' .filter-view.multilayout ul.image-info-view li, .'.$uniqid.' .filter-view.gridstyle-three ul li, .'.$uniqid.' .filter-view.gridstyle-two ul li, .'.$uniqid.' .filter-view.gridstyle-one ul li, .styled-background .'.$uniqid.' .filter-view.gridstyle-one ul li, .styled-background .'.$uniqid.' .filter-view.gridstyle-two ul li, .styled-background .'.$uniqid.' .filter-view.gridstyle-three ul li { background:'.$grid_background_box.'!important;}';
		} else {
			$value_bg = '';
		}
		
		if( isset( $grid_spacing_box ) && !empty ($grid_spacing_box)  ){
			$value_bgpadd = '.'.$uniqid.' .filter-view.multilayout ul.image-info-short li, .styled-background .'.$uniqid.' .filter-view.multilayout ul.image-info-short li,.'.$uniqid.' .grid-view ul li, .styled-background .'.$uniqid.' .filter-view.multilayout ul.imageview li,.styled-background .'.$uniqid.' .filter-view.multilayout ul.gridview li,.styled-background .'.$uniqid.' .filter-view.multilayout ul.image-info-view li,.'.$uniqid.' .filter-view.multilayout ul.imageview li,.'.$uniqid.' .filter-view.multilayout ul.gridview li,.'.$uniqid.' .filter-view.multilayout ul.image-info-view li, .'.$uniqid.' .filter-view.gridstyle-three ul li, .'.$uniqid.' .filter-view.gridstyle-two ul li, .'.$uniqid.' .filter-view.gridstyle-one ul li, .styled-background .'.$uniqid.' .filter-view.gridstyle-one ul li, .styled-background .'.$uniqid.' .filter-view.gridstyle-two ul li, .styled-background .'.$uniqid.' .filter-view.gridstyle-three ul li{ padding:'.$grid_spacing_box.'!important;}';
		} else {
			$value_bgpadd = '';
		}
		
		if( isset( $grid_border_box ) && !empty ($grid_border_box) ){
			$value_bgbord = '.'.$uniqid.' .filter-view.multilayout ul.image-info-short li, .styled-background .'.$uniqid.' .filter-view.multilayout ul.image-info-short li,.'.$uniqid.' .grid-view ul li, .styled-background .'.$uniqid.' .filter-view.multilayout ul.imageview li,.styled-background .'.$uniqid.' .filter-view.multilayout ul.gridview li,.styled-background .'.$uniqid.' .filter-view.multilayout ul.image-info-view li,.'.$uniqid.' .filter-view.multilayout ul.imageview li,.'.$uniqid.' .filter-view.multilayout ul.gridview li,.'.$uniqid.' .filter-view.multilayout ul.image-info-view li, .'.$uniqid.' .filter-view.gridstyle-three ul li, .'.$uniqid.' .filter-view.gridstyle-two ul li, .'.$uniqid.' .filter-view.gridstyle-one ul li, .styled-background .'.$uniqid.' .filter-view.gridstyle-one ul li, .styled-background .'.$uniqid.' .filter-view.gridstyle-two ul li, .styled-background .'.$uniqid.' .filter-view.gridstyle-three ul li { border:1px solid '.$grid_border_box.'!important }';
		} else {
			$value_bgbord = '';
		}
		
		if( isset( $grid_spacing_box_extra ) && !empty ($grid_spacing_box_extra)  ) {
			$value_sp = ' .'.$uniqid.' .iso-desc {padding:'.$grid_spacing_box_extra.';} ';
		} else {
			$value_sp = '';
		}
		
		if( isset( $grid_title_color_box ) && !empty ($grid_title_color_box)  ) {
			$value_cl = ' .'.$uniqid.' .iso-desc .truncate h4 a, .'.$uniqid.' .iso-desc h4 a {color:'.$grid_title_color_box.'} ';
		} else {
			$value_cl = '';
		}
		
		if( isset( $grid_title_hover_color_box ) && !empty ($grid_title_hover_color_box)  ) {
			$value_clh = ' .vc-addon-grid.'.$uniqid.' .mp-vc-items .iso-desc .truncate h4 a:hover, .vc-addon-grid.'.$uniqid.' .mp-vc-items .iso-desc h4 a:hover {color:'.$grid_title_hover_color_box.'!important} ';
		} else {
			$value_clh = '';
		}			
		
		if( isset( $grid_excerpt_color_box ) && !empty ($grid_excerpt_color_box)  ) {
			$value_ex = ' .'.$uniqid.' .excerpt {color:'.$grid_excerpt_color_box.'} ';
		} else {
			$value_ex = '';
		}
		
		if( isset( $grid_category_color_box ) && !empty ($grid_category_color_box)  ) {
			$value_ct = ' .'.$uniqid.' .edd_catlist a {color:'.$grid_category_color_box.'} ';
		} else {
			$value_ct = '';
		}
		
		if( isset( $grid_category_hover_color_box ) && !empty ($grid_category_hover_color_box)  ) {
			$value_cth = ' .'.$uniqid.' .edd_catlist a:hover {color:'.$grid_category_hover_color_box.'} ';
		} else {
			$value_cth = '';
		}
		
		if( isset( $grid_price_box ) && !empty ($grid_price_box)  ) {
			$value_pr = ' .vc-addon-grid.'.$uniqid.' .mp-vc-items .item-price {color:'.$grid_price_box.'} ';
		} else {
			$value_pr = '';
		}
		
		if( isset( $grid_coming_soon_box ) && !empty ($grid_coming_soon_box)  ) {
			$value_cm = ' .'.$uniqid.' .filter-view .mp-coming-soon{color:'.$grid_coming_soon_box.'; } ';
		} else {
			$value_cm = '';
		}
		
		
		if ( isset( $grid_coming_soon_background_box ) && !empty ($grid_coming_soon_background_box) ){
			$value_cmbgc = ' .'.$uniqid.' .filter-view .mp-coming-soon {background:'.$grid_coming_soon_background_box.'} ';
		} else {
			$value_cmbgc = '';
		}
			
		if( isset( $grid_author_box ) && !empty ($grid_author_box)  ) {
			$value_at = ' .'.$uniqid.' .author a {color:'.$grid_author_box.'!important} ';
		} else {
			$value_at = '';
		}
		
		if( isset( $grid_author_hover_box ) && !empty ($grid_author_hover_box)  ) {
			$value_ath = ' .'.$uniqid.' .author a:hover {color:'.$grid_author_hover_box.'!important} ';
		} else {
			$value_ath = '';
		}
		
		if( $grid_shadow_box != '' ) {			
			$value_sha = ' .'.$uniqid.' .filter-view ul li{-webkit-box-shadow: 0px 2px 5px -1px rgba(218, 218, 218, 1); -moz-box-shadow: 0px 2px 5px -1px rgba(218, 218, 218, 1); box-shadow: 0px 2px 5px -1px rgba(218, 218, 218, 1);} ';
		} else {
			$value_sha = '';
		}
		
		
		if( isset( $grid_heading_color_box ) && !empty ($grid_heading_color_box)  ) {
			$value_hdc = ' .'.$uniqid.' .edd_widget_title_vc h3 {color:'.$grid_heading_color_box.';} ';
		} else {
			$value_hdc = '';
		}
		
		if( isset( $grid_heading_bgcolor_box ) && !empty ($grid_heading_bgcolor_box)  ) {
			$value_hdc_bg = ' .'.$uniqid.' .edd_widget_title_vc h3 { background:'.$grid_heading_bgcolor_box.'} ';
		} else {
			$value_hdc_bg = '';
		}
		
		
		if( isset( $grid_heading_border_color_box ) && !empty ($grid_heading_border_color_box)  ) {
			$value_hdbc = ' .'.$uniqid.' .edd_widget_title_vc {background:'.$grid_heading_border_color_box.'} ';
		} else {
			$value_hdbc = '';
		} 
		
		if( isset( $grid_heading_padding_box ) && !empty ($grid_heading_padding_box)  ) {
			$value_hdpadding = ' .'.$uniqid.' .edd_widget_title_vc h3 {padding:'.$grid_heading_padding_box.'; height:auto;line-height:normal;} 
								 .'.$uniqid.' .edd_widget_title_vc {height:auto!important} ';
		} else {
			$value_hdpadding = '';
		} 
		
		if( isset( $grid_heading_bg_fullwidth ) && !empty ($grid_heading_bg_fullwidth)  ) {
			$value_hd_fullwidth = ' .'.$uniqid.' .edd_widget_title_vc h3 {display:block; width:100%} ';
		} else {
			$value_hd_fullwidth = '';
		}
		
		
		if( isset( $grid_extra_styling_filter_textcolor ) && !empty ($grid_extra_styling_filter_textcolor)  ) {
			$value_filter_text = ' .'.$uniqid.' ul.menu-filtre li {color:'.$grid_extra_styling_filter_textcolor.'} ';
		} else {
			$value_filter_text = '';
		}
		
		
		if( isset( $mp_speech_bubble_arrow_color ) && !empty ($mp_speech_bubble_arrow_color) && $mp_speech_bubble == 'yes' ) {
			$value_speech_color = ' .'.$uniqid.' ul.menu-filtre li.filter.active:after {border-color:'.$mp_speech_bubble_arrow_color.' transparent;border-style: solid;} ';
		} else {
			$value_speech_color = '';
		}
		
		if( isset( $mp_speech_bubble_arrow_size ) && !empty ($mp_speech_bubble_arrow_size) && $mp_speech_bubble == 'yes' ) {
			$value_speech_size = ' .'.$uniqid.' ul.menu-filtre li.filter.active:after {z-index:99;border-width: '.$mp_speech_bubble_arrow_size.'px '.$mp_speech_bubble_arrow_size.'px 0;bottom: -'.$mp_speech_bubble_arrow_size.'px;margin-left: -'.$mp_speech_bubble_arrow_size.'px;}';
		} else {
			$value_speech_size = '';
		}
		
		
		if( isset( $grid_extra_styling_filter_bgcolor ) && !empty ($grid_extra_styling_filter_bgcolor)  ) {
			$value_filter_bg = ' .'.$uniqid.' ul.menu-filtre li {background:'.$grid_extra_styling_filter_bgcolor.'} ';
		} else {
			$value_filter_bg = '';
		}
		
		if( isset( $grid_extra_styling_filter_spacing_box ) && !empty ($grid_extra_styling_filter_spacing_box)  ) {
			$value_filter_sp = ' .'.$uniqid.' ul.menu-filtre li {padding:'.$grid_extra_styling_filter_spacing_box.'} ';
		} else {
			$value_filter_sp = '';
		}
		
		
		if( isset( $grid_extra_styling_filter_borderradius ) && !empty ($grid_extra_styling_filter_borderradius)  ) {
			$value_filter_rad = ' .'.$uniqid.' ul.menu-filtre li {-webkit-border-radius:'.$grid_extra_styling_filter_borderradius.';-moz-border-radius:'.$grid_extra_styling_filter_borderradius.';border-radius:'.$grid_extra_styling_filter_borderradius.';} ';
		} else {
			$value_filter_rad = '';
		}
		
		if( isset( $grid_extra_styling_filter_bgcolor_active ) && !empty ($grid_extra_styling_filter_bgcolor_active)  ) {
			$value_filter_act = ' .'.$uniqid.' ul.menu-filtre li.filter.active {background:'.$grid_extra_styling_filter_bgcolor_active.'} ';
		} else {
			$value_filter_act = '';
		}
				
		if( isset( $grid_extra_styling_filter_bgcolor_hover ) && !empty ($grid_extra_styling_filter_bgcolor_hover)  ) {
			$value_filter_hov = ' .'.$uniqid.' ul.menu-filtre li:hover {background:'.$grid_extra_styling_filter_bgcolor_hover.'} ';
		} else {
			$value_filter_hov = '';
		}
		
		if( isset( $grid_extra_styling_filter_text_active ) && !empty ($grid_extra_styling_filter_text_active)  ) {
			$value_filter_textavtive = ' .'.$uniqid.' ul.menu-filtre li.filter.active {color:'.$grid_extra_styling_filter_text_active.';} ';
		} else {
			$value_filter_textavtive = '';
		}
		if( isset( $grid_extra_styling_filter_text_hover ) && !empty ($grid_extra_styling_filter_text_hover)  ) {
			$value_filter_texthover = ' .'.$uniqid.' ul.menu-filtre li:hover {color:'.$grid_extra_styling_filter_text_hover.';} ';
		} else {
			$value_filter_texthover = '';
		}
				
		if( isset( $filter_fontsize ) && !empty ($filter_fontsize)  ) {
			$value_filter_size = ' .'.$uniqid.' ul.menu-filtre li {font-size:'.$filter_fontsize.';} ';
		} else {
			$value_filter_size = '';
		}
		if( isset( $filter_fontfamily ) && !empty ($filter_fontfamily)  ) {
			$value_filter_ffamily = ' .'.$uniqid.' ul.menu-filtre li {font-family:'.$filter_fontfamily.';} ';
		} else {
			$value_filter_ffamily = '';
		}
		
		if ( isset( $grid_filter_div_bg_color ) && !empty ($grid_filter_div_bg_color) ){
			$value_filter_bgc = ' .'.$uniqid.' .kiwifilter, .'.$uniqid.' #filtres-multi-layout {background:'.$grid_filter_div_bg_color.'} ';
		} else {
			$value_filter_bgc = '';
		}
		
		if ( isset( $mp_grid_multilayouts_margin ) && !empty ($mp_grid_multilayouts_margin) ){
			$value_multilayouts = ' .'.$uniqid.' #filtres-multi-layout .filter-layout-sorting {margin:'.$mp_grid_multilayouts_margin.'} ';
		} else {
			$value_multilayouts = '';
		}
		
		
				
		$script_thumb_css = '<style>
					.'.$uniqid.' .filter-view.thumbnails-only ul li, .'.$uniqid.' .filter-view.multilayout .fes-thumb li{
						background: '.$mp_grid_design_thumbnail_background.'!important;
						border: '.$mp_grid_design_thumbnail_border.'!important;
						padding: '.$mp_grid_design_thumbnail_padding.'!important;
						margin: '.$mp_grid_design_thumbnail_margin.'!important; 
					}
					</style>';			
		
		if( $mp_grid_design_thumbnail_styling == 'yes') {
			$output .= $script_thumb_css;
		} else {
			$output .= '';
		}
		
					
$css_style_grid = '<style>
'.$value_bg.'
'.$value_bgbord.'
'.$value_bgpadd.'   
'.$value_sp.'   
'.$value_cl.'   
'.$value_clh.'   
'.$value_ex.'
'.$value_ct.'   
'.$value_cth.'   
'.$value_pr.'   
'.$value_cm.'   
'.$value_at.'
'.$value_ath.'  
'.$value_sha.'
'.$value_hdc.'  
'.$value_hdbc.'
'.$value_hdpadding.'
'.$value_hdc_bg.'
'.$value_hd_fullwidth.'
'.$value_filter_text.'
'.$value_filter_bg.'
'.$value_filter_sp.'
'.$value_filter_rad.'
'.$value_filter_act.'
'.$value_filter_hov.'
'.$value_cmbgc.'
'.$value_filter_texthover.'
'.$value_filter_textavtive.'
'.$value_filter_size.'
'.$value_filter_ffamily.'
'.$value_filter_bgc.'
'.$value_speech_color.'
'.$value_speech_size.'
'.$value_multilayouts.'
</style>';

		/* */
		if( $grid_truncate_lenght == 'one-line' ) {
			$truncate_value_end = '1';
		} elseif( $grid_truncate_lenght == 'two-lines' ) {
			$truncate_value_end = '2';
		}elseif( $grid_truncate_lenght == 'three-lines' ) {
			$truncate_value_end = '3';
		}elseif( $grid_truncate_lenght == 'four-lines' ) {
			$truncate_value_end = '3';
		} else {
			$truncate_value_end = '1';
		}

$script = "<script type='text/javascript'>
			jQuery( document ).ready( function($) { 
				
				$(document).ready(function() {				  			  
				   $('#grid').mixItUp({
					targetSelector: '.mix',
					filterSelector: '.filter',
					sortSelector: '.sort',
					buttonEvent: 'click',
					effects: ['fade','scale'],
					listEffects: null,
					easing: 'smooth',
					layoutMode: 'grid',
					targetDisplayGrid: 'inline-block',
					targetDisplayList: 'block',
					gridClass: 'kiwi-filter-grid',
					listClass: 'kiwi-filter-list',
					transitionSpeed: 600,
					showOnLoad: 'all',
					sortOnLoad: false,
					multiFilter: false,
					filterLogic: 'or',
					resizeContainer: true,
					minHeight: 0,
					failClass: 'fail',
					perspectiveDistance: '3000',
					perspectiveOrigin: '50% 50%',
					animateGridList: true,
					load: {
						filter: '$filter_load_categories'
					},					
					callbacks: {
						onMixEnd: function(state){
							$('.kiwi-filter .truncate h4 a').trunk8({
								lines: $truncate_value_end,
								fill: '...'
							});
							$('.mp-vc-items .mp-equal-heights, .mp-checkout-edd-theme .mp-vc-items .equal').matchHeight();	
						}
					},			
					animation: {
								animateChangeLayout: true,
								animateResizeTargets: true
							},
					layout: {
							containerClass: '$filter_load_multilayout'
						}
				});
								
				$('#gridview').on('click', function() {
					$('#grid').mixItUp('changeLayout', {
						containerClass: 'gridview'
					});
				});
				
				$('#listview').on('click', function() {
					$('#grid').mixItUp('changeLayout', {
						containerClass: 'listview'
					});
				});
				
				
				$('#fes-thumb').on('click', function() {
					$('#grid').mixItUp('changeLayout', {
						containerClass: 'fes-thumb'
					});
				});
				
				
				$('#imageview').on('click', function() {
					$('#grid').mixItUp('changeLayout', {
						containerClass: 'imageview'
					});
				});
				
				$('#image-info-view').on('click', function() {
					$('#grid').mixItUp('changeLayout', {
						containerClass: 'image-info-view'
					});
				});
				
				$('#image-info-short').on('click', function() {
					$('#grid').mixItUp('changeLayout', {
						containerClass: 'image-info-short'
					});
				});
				
				
				});
			}
		 );
		 
		</script>";
		
				
		$output .= $script;			
				
		if( $grid_extra_styling_box == 'yes' || $grid_extra_styling_heading_box == 'yes'  || $grid_extra_styling_filter == 'yes' ) {			
			$output .= $css_style_grid;
		}			
		
		$theme = wp_get_theme();
			
		if ('Checkout' == $theme->name || 'Checkout' == $theme->parent_theme) {				
			$theme_class = ' portfolio-wrapper download-wrapper';
			$edd_custom = ' mp-custom-theme';
		} elseif ('Marketify' == $theme->name || 'Marketify' == $theme->parent_theme) {				
			$theme_class = ' content-grid-download';	
			$edd_custom = ' mp-custom-theme';	
		} elseif ('SQUARECODE-WP' == $theme->name || 'SQUARECODE-WP' == $theme->parent_theme) {				
				$theme_class = '';	
				$edd_custom = ' mp-custom-theme';	
		} else {
			$theme_class = '';	
			$edd_custom = ' mp-custom-theme';	
		}

$output .= '<div class="mp-vc-container kiwi-filter vc-addon-grid '. esc_attr( $uniqid ).''. esc_attr( $theme_class ).'">';


 if( $mp_grid_design_layout == 'multi-layout' ) { 	
		$output .= '<div id="filtres-multi-layout">';
 } else {
		$output .= '<div id="filtres-single-layout" class="kiwifilter'. esc_attr( $class_align ).'">'; 
 }

if( $grid_container_class == 'yes' ) {
	$output .= "<div class='container'>";	
}
 
 if( $mp_grid_rtl == 'yes' ) { 	
		$output .= '<ul class="menu-filtre" dir="rtl">';
 } else {
		$output .= '<ul class="menu-filtre">'; 
 }


$output .= '<li class="filter" data-filter="all"><span>'. esc_html__( 'Show all', 'kiwi' ).'</span></li>';


$filter_args = array(    
    'hide_empty'        => true, 	
    'number'            => $filter_max_items,   
); 

$filter_args_tag = array(    
    'hide_empty'        => true, 		
    'number'            => $filter_max_items,
	'include'           => explode(',', $filter_include_tags),	
);

$filter_args_all = array(    
    'hide_empty'        => true, 		
    'number'            => $filter_max_items,
	'include'           => explode(',', $filter_include_all),	
);


	if( $filter_include_categories != '' && isset( $filter_include_categories )) {		
		$filter_args['include'] = explode(',', $filter_include_categories);	
	}  

	if( $filter_exclude_categories != '' && isset( $filter_exclude_categories )) {	
		$filter_args['exclude'] = explode(',', $filter_exclude_categories);
	}

	
$categories = get_terms( 'download_category', $filter_args );
$tags 		= get_terms( 'download_tag', $filter_args_tag );			
$multiple 	= get_terms( array('download_category', 'download_tag'), $filter_args_all );

if( $mp_filter_options == 'filter-categories' && is_array($categories) ) {	
	foreach ($categories as $category) {	    
		$output .= '<li class="filter" data-filter=".'. esc_attr( $category->slug ).'"><span>'. esc_html( $category->name ).'</span></li>';
	}		
} elseif( $mp_filter_options == 'filter-tags' && is_array( $tags ) ) {
	foreach ($tags as $tag) {	    
		$output .= '<li class="filter" data-filter=".'. esc_attr( $tag->slug ).'"><span>'. esc_html( $tag->name ).'</span></li>';
	}
} elseif( $mp_filter_options == 'filter-both-tags-categories' && is_array( $multiple ) ) {
	foreach ($multiple as $all) {	    
		$output .= '<li class="filter" data-filter=".'. esc_attr( $all->slug ).'"><span>'. esc_html( $all->name ).'</span></li>';
	}
} else {  
		$output .= '';
}
	

$output .= '</ul>';

if( $mp_grid_design_layout == 'multi-layout' ) {

	$output .= '<ul class="filter-layout-sorting">
				<li id="fes-thumb"><span></span></li>
				<li id="imageview"><span></span></li>				
				<li id="gridview"><span></span></li>					
				<li id="image-info-view"><span></span></li>
				<li id="image-info-short"><span></span></li>
				</ul>';
	} 

$output .= '</div>';	

$output .= '<div class="clear"></div>';

if( $grid_container_class == 'yes' ) {
	$output .= "</div>";	
}
			
			
		if( isset( $heading_text ) && !empty ($heading_text)  ) {	
			$heading_class = '';
		} else {
			$heading_class = ' noheading';
		}	
			
			
		if( isset( $heading_text ) && !empty ($heading_text)  ) {	
			$output .= "<div class='edd_widget_title_vc'><h3>{$heading_text}</h3></div>";
		}	
			
			
if( $grid_container_class == 'yes' && $grid_container_fullwidth_items != 'yes') {
	$output .= "<div class='container'>";	
}
		
		if( $mp_grid_design_layout != '' ) {
			$output .= "<div class='mp-vc-items filter-view{$class_gridstyle} {$class_column}{$class_full_width_items}{$edd_custom}'>";	
		} else {
			$output .= "<div class='mp-vc-items{$edd_custom}'>";	
		}
		
		
		//if( $mp_grid_design_layout == 'gridstyle-one' ) {
			$output .= '<ul id="grid" class="layout-sorting'. esc_attr( $heading_class ).'">';
		//}		
		$have_results = $grid_mp_items->have_posts();
		if ( !empty( $have_results) && $grid_mp_items->have_posts() ) : while ( $grid_mp_items->have_posts() ) : $grid_mp_items->the_post();
		
		$thumbnails = get_the_ID();
		
		//$griddesign_excerpt = get_the_content();
		$griddesign_excerpt = get_post_field('post_content', get_the_ID());
		$griddesign_excerpt = esc_attr( strip_tags( stripslashes( $griddesign_excerpt ) ) );
		$griddesign_excerpt = preg_replace( '~^(\s*(?:&nbsp;)?)*~i', '', $griddesign_excerpt );
		
				
		$readmore = ''.$mp_griddesign_excerpt_ending.' <a href="' . get_the_permalink() . '">'.$mp_griddesign_excerpt_link.'</a>';
		$griddesign_excerpt = wp_trim_words( $griddesign_excerpt, $num_words = $mp_griddesign_excerpt_length, $more = $readmore );

		
		$source = plugin_dir_path( dirname( __FILE__ ) ) . 'images/img-empty-featuredimage.jpg';
		
		if ( is_plugin_active( 'edd-coming-soon/edd-coming-soon.php' ) ) {	
				
				$coming_soon_cs_active = edd_coming_soon_is_active( get_the_ID() );	
				
				$coming_soon_custom_text = get_post_meta( get_the_ID(), 'edd_coming_soon_text', true );
				$coming_soon_custom_text = !empty ( $coming_soon_custom_text ) ? $coming_soon_custom_text : apply_filters( 'edd_cs_coming_soon_text', esc_html__('Coming Soon', 'edd-coming-soon' ) );
			}
			
		if ( class_exists( 'EDD_Front_End_Submissions' ) ) {	
				$constant = EDD_FES()->helper->get_option( 'fes-vendor-constant', '' );
				$constant = ( isset( $constant ) && $constant != '' ) ? $constant : esc_html__( 'vendor', 'kiwi' );
				$constant = apply_filters( 'fes_vendor_constant_singular_lowercase', $constant ); 
			}	
		
		global $post;
			
			$name 			= get_the_author_meta('display_name', $post->post_author);
			$vendor_name	= get_the_author_meta( 'user_login' );
			$avatar			= get_avatar( get_the_author_meta( 'ID' ), 25 );
			
			$edd_catlist 	= get_the_term_list( $post->ID, 'download_category', '', ', ', '' );
			
		
		
$filter_terms 		= get_the_terms( $post->ID, 'download_tag' );
$filter_cats 		= get_the_terms( $post->ID, 'download_category' );

$taxes = array('download_category', 'download_tag');
foreach ( $taxes as $taxonomy ){
	$filter_multiple = get_the_terms( $post->ID, $taxonomy );
}

		$draught_links = array();

		if( $mp_filter_options == 'filter-tags' && is_array($filter_terms) ) {
			foreach ( $filter_terms as $term ) {
				$draught_links[] = $term->slug;
			}
		} elseif( $mp_filter_options == 'filter-categories' && is_array($filter_cats)) { 
			foreach ( $filter_cats as $term ) {
				$draught_links[] = $term->slug;
			}
		} elseif( $mp_filter_options == 'filter-both-tags-categories' && is_array($filter_multiple)) { 
			foreach ( $filter_multiple as $term ) {
				$draught_links[] = $term->slug;
			}
		} else {
				$draught_links[] = '';
		}
		
			
		$on_draught = join( " ", $draught_links );
		
		
if( $mp_tooltip_thumbnails == 'yes' && has_post_thumbnail(get_the_ID())) { 
	$force_tool = ' featured-yes';			
} elseif( $mp_tooltip_thumbnails == 'yes' ) { 
	$force_tool = '';
} else {
	$force_tool = '';
}		
		
		if ($mp_grid_design_layout == 'thumbnails-only' ) {
			$output .= '<li class="mix '. esc_attr( $on_draught ).''. esc_attr( mp_media_class() ).''. esc_attr( $force_tool ).'">';
		} else {
			$output .= '<li class="mix '. esc_attr( $on_draught ).''. esc_attr( $force_tool ).'">';
		}
		
		
		if( $mp_grid_design_equal_heights == 'yes' ) { 
			$output .= '<div class="mp-equal-heights">';
		}		

if( $mp_grid_design_layout == 'gridstyle-one' ) {		
	
	$output .= '<div class="iso-thumbnail">';
		
		$output .= apply_filters('mp_vc_widget_block_featured_image', $mp_content);
		
		$output .= '<div class="imageoverlay"></div>';
		
		
		if ( is_plugin_active( 'edd-coming-soon/edd-coming-soon.php' ) && edd_coming_soon_is_active() ) {
			$variable_class = '<span class="cart mp-comingsoon-class"><i class="fa fa-clock-o"></i></span>';			
		} else {
			$link = edd_get_purchase_link( array( 'textafter' => '<i class="fa fa-sign-out"></i>','text' => '<i class="fa fa-cart-arrow-down"></i>','price' => '0','download_id' => get_the_ID() ) );
			$variable_class = apply_filters( 'mp_plugin_edd_purchase_icon', '<span class="cart">'.$link.'</span>' );
		}
		
		
		$output .= '<div class="mp-button styleblock"><span class="viewmore"><a href="'. get_permalink().'"><i class="fa fa-eye"></i></a></span>';
		$output .= $variable_class;
		$output .= '</div>';
		
		$output .= '</div>';
		
		
		$output .= '<div class="iso-desc">';
		
		   
		if( isset( $truncate_title ) && !empty ($truncate_title) && $truncate_title  == 'yes') {
			$output .= '<div class="truncate">';
		} else {
			$output .= '<div>';
		}
		
		$output .= '<h4><a href="'. get_permalink().'">'.get_the_title().'</a></h4>';		
		$output .= '</div>';
		
		$output .= '<div class="excerpt">'.$griddesign_excerpt.'</div>';
		
		
		
		
		$output .= '<div class="custom-columns">';
		$output .= '<div class="left-column edd_catlist">';
		
		if ( !empty( $edd_catlist ) ){		
		   $output .= $edd_catlist;		
		}
		$output .= '</div>';
		
		$output .= '<div class="right-column align-right">';
		
			if ( is_plugin_active( 'edd-coming-soon/edd-coming-soon.php' ) && $coming_soon_cs_active ) {			
				
			$price = apply_filters( 'edd_coming_soon_display_text', '<div class="mp-coming-soon">' . $coming_soon_custom_text . '</div>' );
		
		$output .= sprintf( '<span class="item-price soon">%s</span>', $price );
		
		} else {
			
			remove_filter( 'edd_coming_soon_display_text', 'edd_coming_soon_get_custom_status_text', 30, 2 );
			
			$price = get_post_meta( get_the_ID(), 'edd_price', true );
					
					if ( $price == 0 && $kiwi_theme_option['marketplace-free-enable'] == '1' && !edd_has_variable_prices( get_the_ID() ) ) {
						$output .= '<span class="price free">';
						$price = $kiwi_theme_option['marketplace-free-customtext'];
						$output .= '</span>';
					} elseif ( edd_has_variable_prices( get_the_ID() ) ) {
						 $price = edd_price_range( get_the_ID() );
					} else {
						$price = edd_price( get_the_ID(), false );
					}						 
		$output .= sprintf( '<span class="item-price">%s</span>', $price );	
			
			}
		
		
		$output .= '</div>';
		$output .= '<div class="clear"></div>';
		$output .= '</div>';
		
		
		$output .= '<div class="">';
		$output .= '<div class="left-column mp_author">';
		
			if ( class_exists( 'EDD_Front_End_Submissions' ) && !is_page_template( 'page-vendor.php' ) ) { 
					$output .= '<span class="byline"><span class="author vcard">'.$avatar.'';
					$output .= '<a rel="author" href="'. esc_url( site_url().'/'.$constant.'/'.str_replace(" ","-", $vendor_name) ).'">'. esc_html( $name ).'</a>'; 
					$output .= '</span></span>';
				} else {					
					$output .= '<span class="byline"><span class="author vcard">'.$avatar.'';
					$output .= esc_html( $name ); 
					$output .= '</span></span>';
			}	
			
			$output .= '</div>';
			
		$output .= '</div>';		
		
		if ( class_exists( 'EDD_Reviews' ) ) {		
			$output .= '<div class="right-column reviews align-right">';			
			$output .= mp_extension_review_function_vc();			
			$output .= '</div>'; 
		}
		
		$output .= '<div class="clear"></div>';
		$output .= '</div>';	
	
	
	
} elseif( $mp_grid_design_layout == 'thumbnails-only' ) {
	
		//tooltip
		if( $mp_tooltip_thumbnails == 'yes' ) { 
			$tooltip_output = mp_tooltip_effect();		
			$output .= '<div class="mp-vc-tooltip" data-toggle="tooltip" data-container="body" data-placement="auto" title="'. esc_html( $tooltip_output ).'">';
		}
		
			$mp_featured_value = get_post_meta( get_the_ID(), 'mp_featured_item', true);
			
			if ( $mp_featured_value && $mp_featured_value == 'Yes' ) {	
				$output .= '<div class="featured-item-ribbon"><span></span></div>';				
			}
		
		if ( has_post_thumbnail() ) {
			$output .= '<div class="mp-vc-thumbnails"><a href="' . get_the_permalink() . '">';
			
// ****************
if ( class_exists( 'EDD_Front_End_Submissions' ) ) { 
	$vendor_thumbnail = get_post_meta( get_the_ID(), 'upload_item_thumbnail', true );	
}
			if ( class_exists( 'EDD_Front_End_Submissions' ) && !empty( $vendor_thumbnail ) ) { 
				foreach($vendor_thumbnail as $key=>$val){
					$url = wp_get_attachment_image_src( $val, 'kiwi-image' ); 
					$output .= '<img src="'. esc_url( $url[0] ).'" width="'.$thumbnail_size.'" height="'.$thumbnail_size_height.'">';
				}
			} else {
				
				$mp_cmb_embedded = get_post_meta( get_the_ID(), '_cmb2_edd_thumbnail', true );					
				if ( !empty($mp_cmb_embedded) ) {				
					$output .= '<img src="'. esc_url( $mp_cmb_embedded ).'" width="'.$thumbnail_size.'" height="'.$thumbnail_size_height.'">';	
				} else {				
					$output .= get_the_post_thumbnail( get_the_ID(), array($thumbnail_size, $thumbnail_size_height) );
				}	
				
			}	
// ****************					
			
			$output .= "</a></div>";
		} else { 
			$output .= '<div class="mp-vc-items-single"><a href="' . get_the_permalink() . '">';
			$output .= '<img src="'. esc_url( $source ).'" width="'.$thumbnail_size.'" height="'.$thumbnail_size_height.'">';
			$output .= "</a></div>";
		}

		//tooltip
		if( $mp_tooltip_thumbnails == 'yes' ) { 
			$output .= '</div>';
		}	
		
		$output .= apply_filters('mp_vc_widget_audio_only', $mp_content_audio);
		
		
	} elseif( $mp_grid_design_layout == 'gridstyle-two' ) {
		
		
		$output .= '<div class="iso-thumbnail">';
		
		$output .= apply_filters('mp_vc_widget_block_featured_image', $mp_content);
		
		$output .= '<div class="imageoverlay"></div>';
		
		
		if ( is_plugin_active( 'edd-coming-soon/edd-coming-soon.php' ) && edd_coming_soon_is_active() ) {
			$variable_class = '<span class="cart mp-comingsoon-class"><i class="fa fa-clock-o"></i></span>';			
		} else {
			$link = edd_get_purchase_link( array( 'textafter' => '<i class="fa fa-sign-out"></i>','text' => '<i class="fa fa-cart-arrow-down"></i>','price' => '0','download_id' => get_the_ID() ) );
			$variable_class = apply_filters( 'mp_plugin_edd_purchase_icon', '<span class="cart">'.$link.'</span>' );
		}
		
		
		$output .= '<div class="mp-button styleblock"><span class="viewmore"><a href="'. get_permalink().'"><i class="fa fa-eye"></i></a></span>';
		$output .= $variable_class;
		$output .= '</div>';
		
		
		
		$output .= '</div>';
		
		if( isset( $mp_grid_design_layout_hide_caption ) && !empty ($mp_grid_design_layout_hide_caption) && $mp_grid_design_layout_hide_caption  == 'yes') {
				$output .= '';
		} else {	
		$output .= '<div class="iso-desc">';
		$output .= '<div class="truncate">';
		$output .= '<h4><a href="'. get_permalink().'">'.get_the_title().'</a></h4>';
		$output .= '</div>';		
		
		$output .= '<div class="left-column mp_author">';
		
		global $post;
			
			$name 			= get_the_author_meta('display_name', $post->post_author);
			$vendor_name	= get_the_author_meta( 'user_login' );
			$avatar			= get_avatar( get_the_author_meta( 'ID' ), 25 );
			
			if ( class_exists( 'EDD_Front_End_Submissions' ) && !is_page_template( 'page-vendor.php' ) ) { 
					$output .= '<span class="byline"><span class="author vcard">'.$avatar.'';
					$output .= '<a rel="author" href="'. esc_url( site_url().'/'.$constant.'/'.str_replace(" ","-", $vendor_name) ).'">'. esc_html( $name ).'</a>'; 
					$output .= '</span></span>';
				} else {					
					$output .= '<span class="byline"><span class="author vcard">'.$avatar.'';
					$output .= esc_html( $name ); 
					$output .= '</span></span>';
			}
		$output .= '</div>';
		
		if ( class_exists( 'EDD_Reviews' ) ) {		
			$output .= '<div class="right-column reviews align-right reviews-stylethree">';			
			$output .= mp_extension_review_function_vc();			
			$output .= '</div>'; 
		}
		
		$output .= '</div>';
		}	
		
		} elseif( $mp_grid_design_layout == 'multi-layout' ) {	

		//tooltip
		if( $mp_tooltip_thumbnails == 'yes' ) { 
			$tooltip_output = mp_tooltip_effect();		
			$output .= '<div class="thumbnails-only'. esc_attr( mp_media_class() ).' mp-vc-tooltip" data-container="body" data-toggle="tooltip" data-placement="auto" title="'. esc_html( $tooltip_output ).'">';
		} else {
			$output .= '<div class="thumbnails-only'. esc_attr( mp_media_class() ).'">';
		}
		
			$mp_featured_value = get_post_meta( get_the_ID(), 'mp_featured_item', true);
			
			if ( $mp_featured_value && $mp_featured_value == 'Yes' ) {	
				$output .= '<div class="featured-item-ribbon"><span></span></div>';				
			}
			
		if ( has_post_thumbnail() ) {
			$output .= '<div class="mp-vc-thumbnails"><a href="' . get_the_permalink() . '">';
			
// ****************
if ( class_exists( 'EDD_Front_End_Submissions' ) ) { 
	$vendor_thumbnail = get_post_meta( get_the_ID(), 'upload_item_thumbnail', true );	
}
			if ( class_exists( 'EDD_Front_End_Submissions' ) && !empty( $vendor_thumbnail ) ) { 
				foreach($vendor_thumbnail as $key=>$val){
					$url = wp_get_attachment_image_src( $val, 'kiwi-image' ); 
					$output .= '<img src="'. esc_url( $url[0] ).'" width="'.$thumbnail_size.'" height="'.$thumbnail_size_height.'">';
				}
			} else {
				
				$mp_cmb_embedded = get_post_meta( get_the_ID(), '_cmb2_edd_thumbnail', true );					
				if ( !empty($mp_cmb_embedded) ) {				
					$output .= '<img src="'. esc_url( $mp_cmb_embedded ).'" width="'.$thumbnail_size.'" height="'.$thumbnail_size_height.'">';	
				} else {				
					$output .= get_the_post_thumbnail( get_the_ID(), array($thumbnail_size, $thumbnail_size_height) );
				}	
				
			}	
// ****************					
			
			$output .= "</a></div>";
		} else { 
			$output .= '<div class="mp-vc-items-single"><a href="' . get_the_permalink() . '">';
			$output .= '<img src="'. esc_url( $source ).'" width="'.$thumbnail_size.'" height="'.$thumbnail_size_height.'">';
			$output .= "</a></div>";
		}
		
		$output .= apply_filters('mp_vc_widget_audio_only', $mp_content_audio);
		
		$output .= '</div>';
		
		
		
		
	$output .= '<div class="other-layouts">';	
	
		$output .= '<div class="iso-thumbnail">';
		
		$output .= apply_filters('mp_vc_widget_block_featured_image', $mp_content);
		
		$output .= '<div class="imageoverlay"></div>';
		
		
		if ( is_plugin_active( 'edd-coming-soon/edd-coming-soon.php' ) && edd_coming_soon_is_active() ) {
			$variable_class = '<span class="cart mp-comingsoon-class"><i class="fa fa-clock-o"></i></span>';			
		} else {
			$link = edd_get_purchase_link( array( 'textafter' => '<i class="fa fa-sign-out"></i>','text' => '<i class="fa fa-cart-arrow-down"></i>','price' => '0','download_id' => get_the_ID() ) );
			$variable_class = apply_filters( 'mp_plugin_edd_purchase_icon', '<span class="cart">'.$link.'</span>' );
		}
		
		
		$output .= '<div class="mp-button styleblock"><span class="viewmore"><a href="'. get_permalink().'"><i class="fa fa-eye"></i></a></span>';
		$output .= $variable_class;
		$output .= '</div>';
		
		$output .= '</div>';
		
		
		$output .= '<div class="iso-desc">';
		
		   
		if( isset( $truncate_title ) && !empty ($truncate_title) && $truncate_title  == 'yes') {
			$output .= '<div class="truncate">';
		} else {
			$output .= '<div>';
		}
		
		$output .= '<h4 class="non"><a href="'. get_permalink().'">'.get_the_title().'</a></h4>';		
		$output .= '</div>';
		
		$output .= '<div class="excerpt">'.$griddesign_excerpt.'</div>';
		
		
		
		
		$output .= '<div class="custom-columns">';
		$output .= '<div class="left-column edd_catlist">';
		
		if ( !empty( $edd_catlist ) ){		
		   $output .= $edd_catlist;		
		}
		$output .= '</div>';
		
		$output .= '<div class="right-column align-right">';
		
			if ( is_plugin_active( 'edd-coming-soon/edd-coming-soon.php' ) && $coming_soon_cs_active ) {			
				
			$price = apply_filters( 'edd_coming_soon_display_text', '<div class="mp-coming-soon">' . $coming_soon_custom_text . '</div>' );
		
		$output .= sprintf( '<span class="item-price soon">%s</span>', $price );
		
		} else {
			
			remove_filter( 'edd_coming_soon_display_text', 'edd_coming_soon_get_custom_status_text', 30, 2 );
			
			$price = get_post_meta( get_the_ID(), 'edd_price', true );
					
					if ( $price == 0 && $kiwi_theme_option['marketplace-free-enable'] == '1' && !edd_has_variable_prices( get_the_ID() ) ) {
						$output .= '<span class="price free">';
						$price = $kiwi_theme_option['marketplace-free-customtext'];
						$output .= '</span>';
					} elseif ( edd_has_variable_prices( get_the_ID() ) ) {
						 $price = edd_price_range( get_the_ID() );
					} else {
						$price = edd_price( get_the_ID(), false );
					}						 
		$output .= sprintf( '<span class="item-price">%s</span>', $price );	
			
			}
		
		
		$output .= '</div>';
		$output .= '<div class="clear"></div>';
		$output .= '</div>';
		
		
		
		
		/**/
		
		$output .= '<div class="gridstyle-three">';
		$output .= '<div class="iso-desc div-flex">';
		
		
		if( isset( $truncate_title ) && !empty ($truncate_title) && $truncate_title  == 'yes') {
			$output .= '<div class="left-column align-left truncate div-flex">';
		} else {
			$output .= '<div class="left-column align-left div-flex">';
		}
		
		$output .= '<h4><a href="'. get_permalink().'">'.get_the_title().'</a></h4>';		
		$output .= '</div>';
		
		
		$output .= '<div class="right-column align-right">';
		
			if ( is_plugin_active( 'edd-coming-soon/edd-coming-soon.php' ) && $coming_soon_cs_active ) {			
				
			$price = apply_filters( 'edd_coming_soon_display_text', '<div class="mp-coming-soon">' . $coming_soon_custom_text . '</div>' );
		
		$output .= sprintf( '<span class="item-price soon">%s</span>', $price );
		
		} else {
			
			remove_filter( 'edd_coming_soon_display_text', 'edd_coming_soon_get_custom_status_text', 30, 2 );
			
			$price = get_post_meta( get_the_ID(), 'edd_price', true );
					
					if ( $price == 0 && $kiwi_theme_option['marketplace-free-enable'] == '1' && !edd_has_variable_prices( get_the_ID() ) ) {
						$output .= '<span class="price free">';
						$price = $kiwi_theme_option['marketplace-free-customtext'];
						$output .= '</span>';
					} elseif ( edd_has_variable_prices( get_the_ID() ) ) {
						 $price = edd_price_range( get_the_ID() );
					} else {
						$price = edd_price( get_the_ID(), false );
					}						 
		$output .= sprintf( '<span class="item-price">%s</span>', $price );	
			
			}
		
		
		$output .= '</div>';
		$output .= '<div class="clear"></div>';
		$output .= '</div>';
		
		$output .= '<div class="mp_author">';
		
			if ( class_exists( 'EDD_Front_End_Submissions' ) && !is_page_template( 'page-vendor.php' ) ) { 
					$output .= '<span class="byline"><span class="author vcard">'.__('by ', 'kiwi').'';
					$output .= '<a rel="author" href="'. esc_url( site_url().'/'.$constant.'/'.str_replace(" ","-", $vendor_name) ).'">'. esc_html( $name ).'</a>'; 
					$output .= '</span></span>';
				} else {					
					$output .= '<span class="byline"><span class="author vcard">'.__('by ', 'kiwi').'';
					$output .= esc_html( $name ); 
					$output .= '</span></span>';
			}	
			
		if ( class_exists( 'EDD_Reviews' ) ) {		
			$output .= '<div class="right-column reviews align-right reviews-stylethree">';			
			$output .= mp_extension_review_function_vc();			
			$output .= '</div>'; 
		}	
			
		$output .= '</div>';
		
		
		
		$output .= '</div>';
/**/	
		
		
		$output .= '<div class="">';
		$output .= '<div class="left-column mp_author gridthree-non">';
		
			if ( class_exists( 'EDD_Front_End_Submissions' ) && !is_page_template( 'page-vendor.php' ) ) { 
					$output .= '<span class="byline"><span class="author vcard">'.$avatar.'';
					$output .= '<a rel="author" href="'. esc_url( site_url().'/'.$constant.'/'.str_replace(" ","-", $vendor_name) ).'">'. esc_html( $name ).'</a>'; 
					$output .= '</span></span>';
				} else {					
					$output .= '<span class="byline"><span class="author vcard">'.$avatar.'';
					$output .= esc_html( $name ); 
					$output .= '</span></span>';
			}	
			
			$output .= '</div>';
			
		$output .= '</div>';	
		
		 if ( class_exists( 'EDD_Reviews' ) ) {		
			$output .= '<div class="right-column reviews align-right reviews stylefull">';			
			$output .= mp_extension_review_function_vc();			
			$output .= '</div>'; 
		}
		
		$output .= '<div class="clear"></div>';
		$output .= '</div>';	


	$output .= '</div>';
				
		} elseif( $mp_grid_design_layout == 'gridstyle-three' ) {
				
		$output .= '<div class="iso-thumbnail">';		
		
		$output .= apply_filters('mp_vc_widget_block_featured_image', $mp_content);
		
		$output .= '<div class="imageoverlay"></div>';
		
		
		if ( is_plugin_active( 'edd-coming-soon/edd-coming-soon.php' ) && edd_coming_soon_is_active() ) {
			$variable_class = '<span class="cart mp-comingsoon-class"><i class="fa fa-clock-o"></i></span>';			
		} else {
			$link = edd_get_purchase_link( array( 'textafter' => '<i class="fa fa-sign-out"></i>','text' => '<i class="fa fa-cart-arrow-down"></i>','price' => '0','download_id' => get_the_ID() ) );
			$variable_class = apply_filters( 'mp_plugin_edd_purchase_icon', '<span class="cart">'.$link.'</span>' );
		}
		
		
		$output .= '<div class="mp-button styleblock"><span class="viewmore"><a href="'. get_permalink().'"><i class="fa fa-eye"></i></a></span>';
		$output .= $variable_class;
		$output .= '</div>';
		
		$output .= '</div>';
		
		
		$output .= '<div class="iso-desc div-flex">';
		
		
		if( isset( $truncate_title ) && !empty ($truncate_title) && $truncate_title  == 'yes') {
			$output .= '<div class="left-column align-left truncate div-flex">';
		} else {
			$output .= '<div class="left-column align-left div-flex">';
		}
		
		$output .= '<h4><a href="'. get_permalink().'">'.get_the_title().'</a></h4>';		
		$output .= '</div>';
		
		
		$output .= '<div class="right-column align-right">';
		
			if ( is_plugin_active( 'edd-coming-soon/edd-coming-soon.php' ) && $coming_soon_cs_active ) {			
				
			$price = apply_filters( 'edd_coming_soon_display_text', '<div class="mp-coming-soon">' . $coming_soon_custom_text . '</div>' );
		
		$output .= sprintf( '<span class="item-price soon">%s</span>', $price );
		
		} else {
			
			remove_filter( 'edd_coming_soon_display_text', 'edd_coming_soon_get_custom_status_text', 30, 2 );
			
			$price = get_post_meta( get_the_ID(), 'edd_price', true );
					
					if ( $price == 0 && $kiwi_theme_option['marketplace-free-enable'] == '1' && !edd_has_variable_prices( get_the_ID() ) ) {
						$output .= '<span class="price free">';
						$price = $kiwi_theme_option['marketplace-free-customtext'];
						$output .= '</span>';
					} elseif ( edd_has_variable_prices( get_the_ID() ) ) {
						 $price = edd_price_range( get_the_ID() );
					} else {
						$price = edd_price( get_the_ID(), false );
					}						 
		$output .= sprintf( '<span class="item-price">%s</span>', $price );	
			
			}
		
		
		$output .= '</div>';
		$output .= '<div class="clear"></div>';
		$output .= '</div>';
		
		$output .= '<div class="mp_author">';
		
			if ( class_exists( 'EDD_Front_End_Submissions' ) && !is_page_template( 'page-vendor.php' ) ) { 
					$output .= '<span class="byline"><span class="author vcard">'.__('by ', 'kiwi').'';
					$output .= '<a rel="author" href="'.site_url().'/'.$constant.'/'.str_replace(" ","-", $vendor_name).'">'. esc_html( $name ).'</a>'; 
					$output .= '</span></span>';
				} else {					
					$output .= '<span class="byline"><span class="author vcard">'.__('by ', 'kiwi').'';
					$output .= esc_html( $name ); 
					$output .= '</span></span>';
			}	
			
		if ( class_exists( 'EDD_Reviews' ) ) {		
			$output .= '<div class="right-column reviews align-right reviews-stylethree">';			
			$output .= mp_extension_review_function_vc();			
			$output .= '</div>'; 
		}	
			
		$output .= '</div>';			
		$output .= '<div class="clear"></div>';
		
		
				
		} elseif( $mp_grid_design_layout == 'custom-theme' ) {
			
			$theme = wp_get_theme();
			
			// EDD THEME :: Checkout
			if ('Checkout' == $theme->name || 'Checkout' == $theme->parent_theme) {	
			
				if( isset( $truncate_title ) && !empty ($truncate_title) && $truncate_title  == 'yes') {
					$output .= '<div class="truncate '. esc_attr( $grid_truncate_lenght ) .'">';
				} else {
					$output .= '<div>';
				}					
				$output .= apply_filters('mp_custom_edd_theme_checkout', $mp_edd_theme_checkout);
				$output .= '</div>';		
				
			} elseif ('Marketify' == $theme->name || 'Marketify' == $theme->parent_theme) {				
				if( isset( $truncate_title ) && !empty ($truncate_title) && $truncate_title  == 'yes') {
					$output .= '<div class="truncate '. esc_attr( $grid_truncate_lenght ) .'">';
				} else {
					$output .= '<div>';
				}						
					$output .= apply_filters('mp_custom_edd_theme_marketify', $mp_edd_theme_marketify);
				$output .= '</div>';				
			} elseif ('SQUARECODE-WP' == $theme->name || 'SQUARECODE-WP' == $theme->parent_theme) {				
				if( isset( $truncate_title ) && !empty ($truncate_title) && $truncate_title  == 'yes') {
					$output .= '<div class="truncate '. esc_attr( $grid_truncate_lenght ) .'">';
				} else {
					$output .= '<div>';
				}					
					$output .= apply_filters('mp_custom_edd_theme_squarecode', $mp_edd_theme_squarecode);
				$output .= '</div>';				
			} else {
				if( isset( $truncate_title ) && !empty ($truncate_title) && $truncate_title  == 'yes') {
					$output .= '<div class="truncate '. esc_attr( $grid_truncate_lenght ) .'">';
				} else {
					$output .= '<div>';
				}
					$output .= apply_filters('mp_custom_edd_theme_custom_design', $mp_edd_theme_custom_theme);
				$output .= '</div>';	
			} 			
			
		} else {
		$output .= esc_html__('Select layout.', 'kiwi' ); 
	}
	
	if( $mp_grid_design_equal_heights == 'yes' ) { 
		$output .= '</div">';
	}
		
	$output .= '</li>';

	endwhile;		
		
		
		$output .= '</ul>';
				
		endif;		
		wp_reset_postdata();
		
		
		$output .= "<div class='clear'></div>";			
		$output .= "</div></div>";
		
		if( $grid_container_class == 'yes' && $grid_container_fullwidth_items != 'yes') {
			$output .= "</div>";	
		}
	
		return $output;	  
	  
    }

	
    /*
    Load plugin css and javascript files which you may need on front end of your site
    */
    public function loadCssAndJs() { 
		//wp_enqueue_script( 'truncate', plugins_url('js/trunk8.js', __FILE__), array('jquery') );
    }

    /*
    Show notice if your plugin is activated but Visual Composer is not
    */
    public function showVcVersionNotice() {
        $plugin_data = get_plugin_data(__FILE__);
        echo '
        <div class="updated">
          <p>'.sprintf(esc_html__('<strong>%s</strong> requires <strong><a href="http://bit.ly/vcomposer" target="_blank">Visual Composer</a></strong> plugin to be installed and activated on your site.', 'kiwi'), $plugin_data['Name']).'</p>
        </div>';
    }
}
// Finally initialize code
new VCExtendAddonClassFilter();